<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");
	
	## Get Parameters
	$lgpath=$_SESSION['lgpath'];
	$lid=$_GET['league_id'];
	if ($lid!="") {$lgid=$lid;}
	if ($lgid=="") {$lgid=$_SESSION['lgid'];}
	if ($lgid=="") {$lgid=100;}
	$date=new Date($_SESSION['lgdate']);
	$lgyear=$date->format("Y");
	
	$view=$_GET['view'];
	$stat=$_GET['stat'];
	$scope=$_GET['scope'];
	if ($scope=="") {$scope="career";}
	$listing=$_GET['listing'];
	if ($listing=="") {$listing="top100";}
	$sub_league_id=$_GET['sub_league_id'];
	if ($sub_league_id=="") {$sub_league_id="ALL";}
	$team_id=$_GET['team_id'];
	if ($team_id=="") {$team_id="ALL";}
	$statSplit=$_GET['split'];
	if ($statSplit=="") {$statSplit='regular';}
	$who=$_GET['who'];
	if ($who=="") {$who="ALL";}
	$pos=$_GET['pos'];
	if ($pos=="") {$pos="All";}
	$ageStart=$_GET['ageFrom'];
	$ageEnd=$_GET['ageTo'];
	if ($ageStart>$ageEnd)
	{
		$tmpAge=$ageEnd;
		$ageEnd=$ageStart;
		$ageStart=$tmpAge;
	}
	if (($ageStart=="")||($ageStart<15)) {$ageStart=15;}
	if (($ageEnd=="")||($ageEnd>45)) {$ageEnd=45;}
	$startYr=$_GET['from'];
	$endYr=$_GET['to'];
	if ($startYr>$endYr)
	{
		$tmpYr=$endYr;
		$endYr=$startYr;
		$startYr=$tmpYr;
	}
	$dRnd1=$_GET['draftFrom'];
	$dRnd2=$_GET['draftTo'];
	if ($dRnd1=="") {$dRnd1=1;}
	$dtid=$_GET['draft_team_id'];
	if ($dtid=="") {$dtid="ALL";}
	$ovrMinPT=$_GET['ovrMinPT'];
	if ($ovrMinPT<0) {$ovrMinPT="";}
	$minStat=$_GET['minStat'];
	$minStat2=$_GET['minStat2'];
	$minStat2Lbl=$_GET['minStat2Lbl'];
	$minStat2dir=$_GET['minStat2dir'];

	## Normalize Career Metrics
	switch ($stat)
	{
		case 'black_ink':
		case 'gray_ink':
		case 'hof_standards':
		case 'bSSdiff':
		case 'pSSdiff':
			$scope="career";
			$statSplit="regular";
			$ageStart=15;
			$ageEnd=45;
			break;
	}
	
	##### Get Team Abbreviations #####
	$query="SELECT team_id,year,name,nickname,abbr FROM team_history WHERE league_id=$lgid UNION SELECT team_id,'$lgyear' as year,name,nickname,abbr FROM teams WHERE league_id=$lgid AND allstar_team=0;";
	if ($_GET['showq']==1) {echo "$query<br/>\n";}
	$result=mysql_query($query,$db);
	while ($row=mysql_fetch_array($result))
	{
		$tid=$row['team_id'];
		$yr=$row['year'];
		$teams[$tid][$yr]['name']=$row['name']." ".$row['nickname'];
		$teams[$tid][$yr]['abbr']=$row['abbr'];
	}
	
	##### Get Max/Min Years #####
	if (($minYr==0)||($maxYr==0))
	{
		$query="SELECT MAX(year) as maxYr,MIN(year) as minYr FROM ";
		if ($view=='teams') {$query.="team_history_batting_stats";}
		else {$query.="players_career_batting_stats";}
		$query.=" WHERE league_id=$lgid;";
		if ($_GET['showq']==1) {echo "$query<br/>\n";}
		$result=mysql_query($query,$db);
		$row=mysql_fetch_array($result);			
		$minYr=$row['minYr'];
		$maxYr=$row['maxYr'];
	}
	if ($startYr=="") {$startYr=$minYr;}
	if ($endYr=="") {$endYr=$maxYr;}
	
	##### Start Page #####
	$title="";
	if ($view!="") {$title.=ucwords($view)." ";}
	$title.="Leaderboards";
	page_head($title,$lgpath);
	
	echo " <div id='topbar'>\n";
	
	main_nav($lgid,$lgpath,$title);
	util_nav();
	util_sub_nav("Career Metrics");
	
	echo " </div>   <!-- END topbar DIV -->\n";
	
	echo "<div id='contentpane'>\n";
	
	##### Display Filters #####
	echo " <div class='textbox'>\n";
	echo "  <form method='get' action='leaderboards.php' style='clear:left;'>\n";
	echo "  <table cellspacing=0 cellpadding=2 border=0>\n";
	echo "   <tr class='title'><td colspan=12>Filters</td></tr>\n";
	echo "   <tr>\n";
	
	## Show Type Selection
	echo "     <td style='border-bottom:1px solid gray;'><label><b>View:</b></label></td>";
	echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' value='players' id='players'";
	if ($view=='players') {echo " checked='checked'";}
	echo " onclick=\"window.location='./leaderboards.php?view=players'\"></td>";
	echo "     <td style='border-bottom:1px solid gray;'><label for='players'>Players</label></td>";
	echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' value='teams' id='teams'";
	if ($view=='teams') {echo " checked='checked'";}
	echo " onclick=\"window.location='./leaderboards.php?view=teams'\"></td>";
	echo "     <td style='border-bottom:1px solid gray;'><label for='teams'>Teams</label></td>";
	echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' id='progressive' onclick=\"window.location='./progLeaders.php";
	if ($view!="") {echo "?view=$view";}
	echo "'\"></td>";
	echo "     <td style='border-bottom:1px solid gray;'><label for='progressive'>Progressive</label></td>";
	
	switch ($view)
	{
		case 'players':
			$statArray=array('batters'=>'Batting','ab'=>'AB','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','r'=>'R','sb'=>'SB','cs'=>'CS','bb'=>'BB','k'=>'K','sf'=>'SF','sh'=>'SH','ibb'=>'IBB','hp'=>'HBP','gdp'=>'GIDP','pa'=>'PA','outs'=>'Outs','ebh'=>'EBH','tb'=>'TB','tob'=>'TOB','tto'=>'TTO','pitches_seen'=>'Pitches Seen','pipa'=>'PS/PA','abhr'=>'AB/HR','pahr'=>'PA/HR','bbk'=>'BB/K','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','iso'=>'ISO','bbabip'=>'BABIP','wOBA'=>'wOBA','vorp'=>'VORP','adj_ops_plus'=>'OPS+','EqR'=>'EqR','EqA'=>'EqA','pwrspd'=>'PwrSpd','rc'=>'RC','rc27'=>'RC/27','ows'=>'OWS','bSSdiff'=>'Sim Score Diff','pitchers'=>'Pitching','w'=>'W','l'=>'L','s'=>'SV','ip'=>'IP','g'=>'G','gs'=>'GS','gf'=>'GF','cg'=>'CG','sho'=>'SHO','qs'=>'QS','pk'=>'K','pbb'=>'BB','ha'=>'HA','hra'=>'HR','pr'=>'R','er'=>'ER','hld'=>'HLD','svo'=>'SVO','bs'=>'BS','da'=>'2BA','ta'=>'3BA','bk'=>'BK','wp'=>'WP','hp'=>'HP','bf'=>'BF','gb'=>'GB','fb'=>'FB','ptto'=>'TTO','pi'=>'Pitches Thrown','era'=>'ERA','whip'=>'WHIP','pvorp'=>'VORP','kper9'=>'K/9IP','bbper9'=>'BB/9IP','hper9'=>'H/9IP','rper9'=>'R/9IP','hrper9'=>'HR/9IP','kperbb'=>'K/BB','gbPct'=>'GB%','babip'=>'BABIP','wpct'=>'Win %','gmovr500'=>'Gms Over .500','adj_era_plus'=>'ERA+','cERA'=>'ERC','pws'=>'PWS','pSSdiff'=>'Sim Score Diff','fielders'=>'Fielding','fgs'=>'GS','po'=>'PO','a'=>'A','dp'=>'DP','tp'=>'TP','tc'=>'TC','e'=>'E','fip'=>'Inn','pct'=>'Pct','rng'=>'Range','pb'=>'PB','sba'=>'RSTA','rto'=>'RTO','rtoPct'=>'RTO%','fws'=>'FWS','career'=>'Career','black_ink'=>'Black Ink','gray_ink'=>'Gray Ink','hof_standards'=>'HOF Standards','wsTot'=>'Total WS');

			echo "    <td style='border-bottom:1px solid gray;' colspan=2>&nbsp;</td>\n";
			echo "   </tr>\n";
			echo "   <tr>\n";

			## Show Scope Filter
			echo "    <td><b>Scope:</b></td>\n";
			echo "    <td><input type='radio' name='scope' value='career' id='career'";
			if ($scope=='career') {echo " checked='checked'";}
			echo " onclick=\"setPTind('c')\"></td><td valign=top><label for='career'>Career</label></td>\n";
			echo "    <td><input type='radio' name='scope' value='season' id='season'";
			if ($scope=='season') {echo " checked='checked'";}
			echo " onclick=\"setPTind('s')\"></td><td valign=top><label for='season'>Seasonal</label></td>\n";

			## Get Subleagues
			$query="SELECT sub_league_id,name,abbr FROM sub_leagues WHERE league_id=$lgid ORDER BY sub_league_id;";
			$result=mysql_query($query,$db);
			while ($row=mysql_fetch_array($result))
			{
				$slid=$row['sub_league_id'];
				$subleagues[$slid]['name']=$row['name'];
				$subleagues[$slid]['abbr']=$row['abbr'];
			}
			
			## Show Subleague Filter
			echo "    <td colspan=2 style='text-align:right;'><b>League:</b></td>\n";
			echo "    <td";
			if ($view=='teams') {echo " colspan=4";}
			echo ">\n";
			echo "     <select name='sub_league_id' id='sub_league_id' onchange=\"if(this[this.selectedIndex].value!='All') {document.getElementById('team_id').selectedIndex=0;}\">\n";
			echo "      <option value='ALL'>All</option>\n";
			foreach ($subleagues as $slid => $val)
			{
				echo "      <option value='$slid'";
				if (($sub_league_id==$slid) && ($sub_league_id!="ALL")) {echo " selected";}
				echo ">".$subleagues[$slid]['name']."</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";

			## Show Listing Filter
			echo "    <td><b>Listing:</b></td>\n";
			echo "    <td><input type='radio' name='listing' value='top100' id='top100'";
			if ($listing=='top100') {echo " checked='checked'";}
			echo " onclick=\"document.getElementById('statCondDir').innerHTML=' greater than';\"></td><td valign=top><label for='top100'>Top 100</label></td>\n";
			echo "    <td><input type='radio' name='listing' value='bot100' id='bot100'";
			if ($listing=='bot100') {echo " checked='checked'";}
			echo " onclick=\"document.getElementById('statCondDir').innerHTML=' worse than';\"></td><td valign=top><label for='bot100'>Bottom 100</label></td>\n";

			## Get Current Teams
			$query="SELECT team_id,name,nickname,abbr,level,sub_league_id FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
			$result=mysql_query($query,$db);
			while ($row=mysql_fetch_array($result))
			{
				$tid=$row['team_id'];
				$slid=$row['sub_league_id'];
				$teams[$tid]['name']=$row['name']." ".$row['nickname'];
				$teams[$tid]['abbr']=$row['abbr'];
				$teams[$tid]['level']=$row['level'];
				$teams[$tid]['city']=$row['name'];
				$teams[$tid]['slid']=$slid;
				$subleagues[$slid]['teams']=$subleagues[$slid]['teams'].",$tid";
				$LGtmList.=",$tid";
			}
			$LGtmList=trim($LGtmList,",");
			foreach ($subleagues as $slid => $val) {$subleagues[$slid]['teams']=trim($subleagues[$slid]['teams'],",");}
			
			## Show Team Filter
			echo "    <td colspan=2 style='text-align:right;'><b>Team:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='team_id' id='team_id' onchange=\"if(this[this.selectedIndex].value!='All') {document.getElementById('sub_league_id').selectedIndex=0;}\">\n";
			echo "      <option value='ALL'>All</option>\n";
			foreach ($teams as $tid => $val)
			{
				echo "      <option value='$tid'";
				if ($team_id==$tid) {echo " selected";}
				echo ">".$teams[$tid]['name']."</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
		
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Show Split Filter
			echo "    <td><b>Split:<b></td>\n";
			echo "    <td><input type='radio' name='split' value='regular' id='regular'";
			if ($statSplit=='regular') {echo " checked='checked'";}
			echo "></td><td valign=top><label for='regular'>Regular Season</label></td>\n";
			echo "    <td><input type='radio' name='split' value='postseason' id='postseason'";
			if ($statSplit=='postseason') {echo " checked='checked'";}
			echo "></td><td valign=top><label for='postseason'>Postseason</label></td>\n";

			## Stat Filter
			echo "    <td colspan=2 style='text-align:right;'><b>Stat:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='stat' id='stat' onchange=\"setPTstatType(this[this.selectedIndex].value);document.getElementById('statCond').innerHTML=this[this.selectedIndex].text;\">\n";
			foreach ($statArray as $key => $val)
			{
				if (($key=='batters')||($key=='pitchers')||($key=='fielders')||($key=='career')) {echo "      <optgroup label='$val'>\n";}
				else
				{
					echo "      <option value='$key'";
					if ($stat==$key) {echo " selected";}
					echo ">$val</option>\n";
				}
			}
			echo "     </select>\n";
			echo "    </td>\n";

			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Show Who Filter
			echo "    <td><b>Who:</b></td>\n";
			echo "    <td colspan=3>\n";
			echo "     <select name='who'>\n";
			$whoArray=array('ALL'=>'All Players','active'=>'Active Players','retired'=>'Retired Players','hof'=>'Hall of Fame Players');
			foreach ($whoArray as $key => $dispName)
			{
				echo "      <option value='$key'";
				if ($who==$key) {echo " selected";}
				echo ">$dispName</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";

			## Show Position Filter
			echo "    <td colspan=3 style='text-align:right;'><b>Position:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='pos' id='pos'";
			if ($disablePosFilt==1) {echo " disabled='disabled'";}
			echo ">\n";
			$posArray=Array("ALL"=>"All","1"=>"P","2"=>"C","3"=>"1B","4"=>"2B","5"=>"3B","6"=>"SS","7"=>"LF","8"=>"CF","9"=>"RF","10"=>"DH","IF"=>"IF","CI"=>"CI","MI"=>"MI","OF"=>"OF","SP"=>"SP","RP"=>"RP","MR"=>"MR","CL"=>"CL");
			foreach ($posArray as $key => $val)
			{
				echo "      <option value='$key'";
				if ($pos==$key) {echo " selected";}
				echo ">$val</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Year Filter
			echo "    <td colspan=2><b>Year From:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='from' id='from'>\n";
			for ($i=$minYr;$i<=$maxYr;$i++)
			{
				echo "      <option value='$i'";
				if ($startYr==$i) {echo " selected";}
				echo ">$i</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			echo "    <td colspan=2 style='text-align:right;'><b>To:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='to' id='to'>\n";
			for ($i=$minYr;$i<=$maxYr;$i++)
			{
				echo "      <option value='$i'";
				if ($endYr==$i) {echo " selected";}
				echo ">$i</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Age Filter
			echo "    <td colspan=2><b>Age From:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='ageFrom' id='ageFrom'>\n";
			for ($i=15;$i<=45;$i++)
			{
				echo "      <option value='$i'";
				if ($ageStart==$i) {echo " selected";}
				echo ">";
				if ($i==15) {echo "<=";}
				if ($i==45) {echo ">=";}
				echo "$i</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			echo "    <td colspan=2 style='text-align:right;'><b>To:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='ageTo' id='ageTo'>\n";
			for ($i=15;$i<=45;$i++)
			{
				echo "      <option value='$i'";
				if ($ageEnd==$i) {echo " selected";}
				echo ">";
				if ($i==15) {echo "<=";}
				if ($i==45) {echo ">=";}
				echo "$i</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";

			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Show draft filter
			$query="SELECT MAX(draft_round) as dmax FROM players WHERE draft_year!=0 AND draft_league_id=$lgid;";
			$result=mysql_query($query,$db);
			$row=mysql_fetch_array($result);		
			$drndMax=$row['dmax'];
			if (($drndMax!="")&&($drndMax>=1))
			{
				echo "    <td colspan=2><b>Drafted From Round:</b></td>\n";
				echo "    <td>\n";
				echo "     <select name='draftFrom' id='draftFrom'>\n";
				if ($dRnd2=="") {$dRnd2=$drndMax;}
				for ($i=1;$i<=$drndMax;$i++)
				{
					echo "      <option value='$i'";
					if ($dRnd1==$i) {echo " selected";}
					echo ">$i</option>\n";
				}
				echo "     </select>\n";
				echo "    </td>\n";
				echo "    <td colspan=2 style='text-align:right;'><b>To Round:</b></td>\n";
				echo "    <td>\n";
				echo "     <select name='draftTo' id='draftTo'>\n";
				for ($i=1;$i<=$drndMax;$i++)
				{
					echo "      <option value='$i'";
					if ($dRnd2==$i) {echo " selected";}
					echo ">$i</option>\n";
				}
				echo "     </select>\n";
				echo "    </td>\n";
				
				echo "    <td style='text-align:right;'><b>By:</b></td>\n";
				echo "    <td>\n";
				echo "     <select name='draft_team_id' id='draft_team_id'>\n";
				echo "      <option value='ALL'>All</option>\n";
				foreach ($teams as $tid => $val)
				{
					echo "      <option value='$tid'";
					if ($dtid==$tid) {echo " selected";}
					echo ">".$teams[$tid]['name']."</option>\n";
				}
				echo "     </select>\n";
				echo "    </td>\n";
				
				## Start New Row
				echo "   </tr>\n";
				echo "   <tr>\n";
			}

			## Alternate Stat Adjustment
			echo "    <td colspan=2 title='While having'><b>While Having</b></td>\n";
			echo "    <td colspan=2>\n";
			echo "     <select name='minStat2Lbl' id='minStat2Lbl' title='This stat must be from same table as search stat (i.e. batting w/ batting, no batting w/ fielding)'>\n";
			echo "      <option value=''>-</option>\n";
			foreach ($statArray as $key => $val)
			{
				if (($key=='ows')||($key=='pws')||($key=='fws')||($key=='wsTot')||($key=='adj_ops_plus')||($key=='EqR')||($key=='EqA')||($key=='bSSdiff')||($key=='adj_era_plus')||($key=='cERA')||($key=='pSSdiff')) {continue;}
				if ($key=='career') {break;}

				if (($key=='batters')||($key=='pitchers')||($key=='fielders')||($key=='career')) {echo "      <optgroup label='$val'>\n";}
				else
				{
					echo "      <option value='$key'";
					if ($minStat2Lbl==$key) {echo " selected";}
					echo ">$val</option>\n";
				}
			}
			echo "     </select>\n";
			echo "    </td>\n";
			echo "    <td>\n";
			echo "     <select name='minStat2dir' id='minStat2dir'>\n";
			$dirArray=array("",">=","<=","=");
			foreach ($dirArray as $key => $val)
			{
				echo "      <option value='$val'";
				if ($minStat2dir==$val) {echo " selected";}
				echo ">$val</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			echo "    <td title='Leave blank to ignore'><input type='text' maxlength=5 size=5 name='minStat2' id='minStat2' value='$minStat2' /></td>\n";
			echo "    <td title='While having' style='text-align:right;'><b>, <span id='statCond'>".$statArray[$stat]."</span> <span id='statCondDir'>";
			if ($listing=='top100') {echo " greater than";} else {echo " worse than";}
			echo "</span></b></td>\n";
			echo "    <td title='Leave blank to ignore'><input type='text' maxlength=5 size=5 name='minStat' id='minStat' value='$minStat' /></td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Minimum PT Adjustment
			echo "<td colspan=2 title='Minimum playing time'><b>Minimum Playing Time:</b></td>\n";
			echo "<td title='Leave blank for defaults:\n3.1 PA/g\n1.0 IP/g\n3.1 Inn/g'><input type='text' maxlength=5 size=5 name='ovrMinPT' id='ovrMinPT' value='$ovrMinPT' /></td>\n";
			echo "<td colspan=4><span id='ptStat'>";
			if ($stat=="") {echo "PA";}
			echo "</span> <span id='ptIndicator'>";
			if ($scope=='season') {echo " per team game";}
			echo "</span></td>\n";
			
			## Submission button
			echo "    <td><input type='submit' value='Go'></input></td>\n";
			
			## Start New Row
			echo "   </tr>\n";
			echo "   <tr>\n";

			## Resets
			echo "    <td style='border-top:1px solid gray;'>Resets:</td>\n";
			echo "    <td style='border-top:1px solid gray;'><input type='button' onclick=\"window.location='./leaderboards.php?view=$view'\" value='Reset All' /></td>\n";
			echo "    <td colspan=2 style='border-top:1px solid gray;'><input type='button' onclick=\"document.getElementById('from').value=$minYr;document.getElementById('to').value=$maxYr;\" value='Reset Years' /></td>\n";
			echo "    <td colspan=2 style='border-top:1px solid gray;'><input type='button' onclick=\"document.getElementById('ageFrom').value=15;document.getElementById('ageTo').value=45;\" value='Reset Ages' /></td>\n";
			if (($drndMax!="")&&($drndMax>=1))
			{
				echo "    <td colspan=2 style='border-top:1px solid gray;'><input type='button' onclick=\"document.getElementById('draftFrom').value=1;document.getElementById('draftTo').value=$drndMax;document.getElementById('draft_team_id').value='ALL';\" value='Reset Draft Settings' /></td>\n";
			}
			else {echo "    <td colspan=2 style='border-top:1px solid gray;'>&nbsp;</td>\n";} 
			
			break;
			
		case 'teams':
			#### Check for Enabled Reports ####
			$query="SHOW TABLES LIKE 'ootp_sql_admin';";
			$result=mysql_query($query,$db);
			if (mysql_num_rows($result)) 
			{
				$query="SELECT * FROM ootp_sql_admin WHERE setting='finEnable';";
				$result=mysql_query($query,$db);
				if (mysql_num_rows($result)) 
				{
					while ($row=mysql_fetch_array($result))
					{
						$field=$row['setting'];
						$val=$row['value'];
						$val=stripslashes($val);
						$finEnable=$val;
					}
				}
			}
			$statArray=array('batters'=>'Batting','ab'=>'AB','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','r'=>'R','sb'=>'SB','cs'=>'CS','bb'=>'BB','k'=>'K','sf'=>'SF','sh'=>'SH','ibb'=>'IBB','hp'=>'HBP','gdp'=>'GIDP','pa'=>'PA','outs'=>'Outs','ebh'=>'EBH','tb'=>'TB','tob'=>'TOB','tto'=>'TTO','pitches_seen'=>'Pitches Seen','pipa'=>'PS/PA','abhr'=>'AB/HR','pahr'=>'PA/HR','bbk'=>'BB/K','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','iso'=>'ISO','bbabip'=>'BABIP','wOBA'=>'wOBA','pwrspd'=>'PwrSpd','rc'=>'RC','rc27'=>'RC/27','pitchers'=>'Pitching','w'=>'W','l'=>'L','s'=>'SV','ip'=>'IP','g'=>'G','gs'=>'GS','gf'=>'GF','cg'=>'CG','sho'=>'SHO','qs'=>'QS','pk'=>'K','pbb'=>'BB','ha'=>'HA','hra'=>'HR','pr'=>'R','er'=>'ER','hld'=>'HLD','svo'=>'SVO','bs'=>'BS','da'=>'2BA','ta'=>'3BA','bk'=>'BK','wp'=>'WP','hp'=>'HP','bf'=>'BF','gb'=>'GB','fb'=>'FB','ptto'=>'TTO','pi'=>'Pitches Thrown','era'=>'ERA','whip'=>'WHIP','kper9'=>'K/9IP','bbper9'=>'BB/9IP','hper9'=>'H/9IP','rper9'=>'R/9IP','hrper9'=>'HR/9IP','kperbb'=>'K/BB','gbPct'=>'GB%','babip'=>'BABIP','fielders'=>'Fielding','fgs'=>'GS','po'=>'PO','a'=>'A','dp'=>'DP','tp'=>'TP','tc'=>'TC','e'=>'E','fip'=>'Inn','pct'=>'Pct','rng'=>'Range','pb'=>'PB','sba'=>'RSTA','rto'=>'RTO','rtoPct'=>'RTO%','other'=>'Other','wpct'=>'Win %','gmovr500'=>'Games Over .500','attendance'=>'Attendance');
			if ($finEnable==1) 
			{
				$statArray['budget']="Budget";
				$statArray['gate_revenue']="Gate Revenue";
				$statArray['merchandising_revenue']="Merchandising Revenue";
				$statArray['media_revenue']="Media Revenue";
				$statArray['playoff_revenue']="Playoff Revenue";
				$statArray['revenue_sharing']="Revenue Sharing";
				$statArray['tot_revenue']="Total Revenue";
				$statArray['player_expenses']="Player Payroll";
				$statArray['staff_expenses']="Staff Payroll";
				$statArray['tot_expenses']="Total Payroll";
				$statArray['profit']="Profit";
			}
			
			echo "    <td style='border-bottom:1px solid gray;' colspan=2>&nbsp;</td>\n";
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Show Scope Filter
			echo "    <td><b>Scope:</b></td>\n";
			echo "    <td><input type='radio' name='scope' value='career' id='career'";
			if ($scope=='career') {echo " checked='checked'";}
			echo " onclick=\"setPTind('c')\"></td><td valign=top><label for='career'>Cumulative</label></td>\n";
			echo "    <td><input type='radio' name='scope' value='season' id='season'";
			if ($scope=='season') {echo " checked='checked'";}
			echo " onclick=\"setPTind('s')\"></td><td valign=top><label for='season'>Seasonal</label></td>\n";
			
			## Get Subleagues
			$query="SELECT sub_league_id,name,abbr FROM sub_leagues WHERE league_id=$lgid ORDER BY sub_league_id;";
			$result=mysql_query($query,$db);
			while ($row=mysql_fetch_array($result))
			{
				$slid=$row['sub_league_id'];
				$subleagues[$slid]['name']=$row['name'];
				$subleagues[$slid]['abbr']=$row['abbr'];
			}
			
			## Show Subleague Filter
			echo "    <td colspan=2 style='text-align:right;'><b>League:</b></td>\n";
			echo "    <td";
			if ($view=='teams') {echo " colspan=4";}
			echo ">\n";
			echo "     <select name='sub_league_id' id='sub_league_id' onchange=\"if(this[this.selectedIndex].value!='All') {document.getElementById('team_id').selectedIndex=0;}\">\n";
			echo "      <option value='ALL'>All</option>\n";
			foreach ($subleagues as $slid => $val)
			{
				echo "      <option value='$slid'";
				if (($sub_league_id==$slid) && ($sub_league_id!="ALL")) {echo " selected";}
				echo ">".$subleagues[$slid]['name']."</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Show Listing Filter
			echo "    <td><b>Listing:</b></td>\n";
			echo "    <td><input type='radio' name='listing' value='top100' id='top100'";
			if ($listing=='top100') {echo " checked='checked'";}
			echo "></td><td valign=top><label for='top100'>Top 100</label></td>\n";
			echo "    <td><input type='radio' name='listing' value='bot100' id='bot100'";
			if ($listing=='bot100') {echo " checked='checked'";}
			echo "></td><td valign=top><label for='bot100'>Bottom 100</label></td>\n";
			
			## Get Current Teams
			$query="SELECT team_id,name,nickname,abbr,level,sub_league_id FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
			$result=mysql_query($query,$db);
			while ($row=mysql_fetch_array($result))
			{
				$tid=$row['team_id'];
				$slid=$row['sub_league_id'];
				$teams[$tid]['name']=$row['name']." ".$row['nickname'];
				$teams[$tid]['abbr']=$row['abbr'];
				$teams[$tid]['level']=$row['level'];
				$teams[$tid]['city']=$row['name'];
				$teams[$tid]['slid']=$slid;
				$subleagues[$slid]['teams']=$subleagues[$slid]['teams'].",$tid";
				$LGtmList.=",$tid";
			}
			$LGtmList=trim($LGtmList,",");
			foreach ($subleagues as $slid => $val) {$subleagues[$slid]['teams']=trim($subleagues[$slid]['teams'],",");}
			
			## Show Team Filter
			echo "    <td colspan=2 style='text-align:right;'><b>Team:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='team_id' id='team_id' onchange=\"if(this[this.selectedIndex].value!='All') {document.getElementById('sub_league_id').selectedIndex=0;}\">\n";
			echo "      <option value='ALL'>All</option>\n";
			foreach ($teams as $tid => $val)
			{
				echo "      <option value='$tid'";
				if ($team_id==$tid) {echo " selected";}
				echo ">".$teams[$tid]['name']."</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";
						
			## Year Filter
			echo "    <td colspan=2><b>Year From:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='from' id='from'>\n";
			for ($i=$minYr;$i<=$maxYr;$i++)
			{
				echo "      <option value='$i'";
				if ($startYr==$i) {echo " selected";}
				echo ">$i</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			echo "    <td style='text-align:right;'><b>To:</b></td>\n";
			echo "    <td colspan=2>\n";
			echo "     <select name='to' id='to'>\n";
			for ($i=$minYr;$i<=$maxYr;$i++)
			{
				echo "      <option value='$i'";
				if ($endYr==$i) {echo " selected";}
				echo ">$i</option>\n";
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			## Stat Filter
			echo "    <td style='text-align:right;'><b>Stat:</b></td>\n";
			echo "    <td>\n";
			echo "     <select name='stat' id='stat' onchange=\"setPTstatType(this[this.selectedIndex].value);\">\n";
			foreach ($statArray as $key => $val)
			{
				if (($key=='batters')||($key=='pitchers')||($key=='fielders')||($key=='other')) {echo "      <optgroup label='$val'>\n";}
				else
				{
					echo "      <option value='$key'";
					if ($stat==$key) {echo " selected";}
					echo ">$val</option>\n";
				}
			}
			echo "     </select>\n";
			echo "    </td>\n";
			
			echo "   </tr>\n";
			echo "   <tr>\n";
			
			## Resets
			echo "    <td>Resets:</td>\n";
			echo "    <td><input type='button' onclick=\"window.location='./leaderboards.php?view=$view'\" value='Reset All' /></td>\n";
			echo "    <td><input type='button' onclick=\"document.getElementById('from').value=$minYr;document.getElementById('to').value=$maxYr;\" value='Reset Years' /></td>\n";

			## Submission button
			echo "    <td colspan=5><input type='submit' value='Go'></input></td>\n";
			
			break;
	}		
	##### Close Form #####
	echo "   </tr>\n";
	echo "  </table>\n";
	echo "  </form>\n";
	echo " </div>\n";
	
	
	if ($stat=="")		## Close out page
	{
		echo "</div>   <!-- END contentpane DIV -->\n";
		if ($view=='players') {echo dispPTJava();}
		page_foot($lgpath);
		exit;
	}

	$statCalc=getStatCalc($stat);
	
	## Determine Sort Order
	switch ($stat)
	{
		case 'abhr':
		case 'pahr':
		case 'era':
		case 'whip':
		case 'bbper9':	   
		case 'hper9':	   
		case 'rper9':	   
		case 'hrper9':	   
		case 'babip':
		case 'cERA':
			$orderClause="ASC";
			break;
		default:
			$orderClause="DESC";
			break;			
	}
	if ($listing=='bot100')
	{
		if ($orderClause=="ASC") {$orderClause="DESC";}
		else {$orderClause="ASC";}
	}
	
	
    ## Get Team List
	$tQuery="";
	if ($sub_league_id!="ALL") {$tQuery=" AND team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
	if ($team_id!="ALL") {$tQuery=" AND team_id=$team_id";}
		
	## Configure Years
	if ($minYr<$startYr) {$minYr=$startYr;}
	if ($endYr<$maxYr) {$maxYr=$endYr;}

	
##Display results
if ($view=='players')
{
	## Get SQL Table
	$posFilter="";
	switch ($statSplit)
	{
		case 'regular': $split="AND split_id=1"; break;
		case 'postseason': $split="AND split_id=21"; break;
	}
	switch ($stat)
	{
		case 'ab':
		case 'h':
		case 'd':
		case 't':
		case 'hr':
		case 'rbi':
		case 'r':
		case 'sb':
		case 'cs':
		case 'bb':
		case 'k':
		case 'sf':
		case 'sh':
		case 'ibb':
		case 'hp':
		case 'gdp':
		case 'pa':
		case 'outs':
		case 'ebh':
		case 'tb':
		case 'tob':
		case 'tto':
		case 'pitches_seen':
		case 'pipa':
		case 'abhr':
		case 'pahr':
		case 'bbk':
		case 'avg':
		case 'obp':
		case 'slg':
		case 'ops':
		case 'iso':
		case 'bbabip':
		case 'wOBA':
		case 'vorp':
		case 'pwrspd':
		case 'rc':
		case 'rc27':
			$table='players_career_batting_stats';
			$statType='bStat';
			$defStatsList="g,ab,h,d,t,hr,rbi,r,bb,k,sb,cs,avg,ops";
			$defStatsCalc="SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if(SUM(pa)=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))+(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops";
			$ptCalc=",SUM(pa) as pt";
			$ptRate=3.1;
			$ptLbl='PA';
			break;
		case 'fgs':
		case 'po':
		case 'a':
		case 'dp':
		case 'tp':
		case 'tc':
		case 'e':
		case 'fip':
		case 'pct':
		case 'rng':
		case 'pb':
		case 'sba':
		case 'rto':
		case 'rtoPct':
			$table='players_career_fielding_stats';
			$statType='fStat';
			if (($pos==2)||($stat=='pb')||($stat=='sba')||($stat=='rto')||($stat=='rtoPct'))
			{
			   $defStatsList="g,gs,po,a,dp,tc,e,pct,ip,rng,pb,sba,rto,rtoPct";
			   $defStatsCalc="SUM(g) as g,SUM(gs) as gs,SUM(po) as po,SUM(a) as a,SUM(dp) as dp,SUM(tc) as tc,SUM(e) as e,if(SUM(tc)=0,0,(SUM(po)+SUM(a))/SUM(tc)) as pct,SUM(ip)+SUM(ipf)/3 as ip,if((SUM(ip)+SUM(ipf)/3)=0,0,9*(SUM(po)+SUM(a))/(SUM(ip)+SUM(ipf)/3)) as rng,SUM(pb) as pb,SUM(sba) as sba,SUM(rto) as rto,if(SUM(sba)=0,0,SUM(rto)/SUM(sba)) as rtoPct";
      }
      else
      {
			   $defStatsList="g,gs,po,a,dp,tc,e,pct,ip,rng";
			   $defStatsCalc="SUM(g) as g,SUM(gs) as gs,SUM(po) as po,SUM(a) as a,SUM(dp) as dp,SUM(tc) as tc,SUM(e) as e,if(SUM(tc)=0,0,(SUM(po)+SUM(a))/SUM(tc)) as pct,SUM(ip)+SUM(ipf)/3 as ip,if((SUM(ip)+SUM(ipf)/3)=0,0,9*(SUM(po)+SUM(a))/(SUM(ip)+SUM(ipf)/3)) as rng";
			}
      $split="AND split_id IN (0,1)";
			$ptCalc=",(SUM(ip)+SUM(ipf)/3) as pt";
			$ptRate=3.1;
			$ptLbl='Inn';
			break;
		case 'black_ink':
		case 'gray_ink':
		case 'hof_standards':
		case 'bSSdiff':
		case 'pSSdiff':
			$table='players_career_info';
			$statType='pciStat';
			$defStatsList="black_ink,gray_ink,hof_standards";
			$defStatsCalc="black_ink,gray_ink,hof_standards";
			$split="";
			$ptCalc="";
			$ptRate="";
			$ptLbl='';
			break;			
		case 'ows':
		case 'pws':
		case 'fws':
		case 'wsTot':
			$table='players_win_shares';
			$statType='wsStat';
			$defStatsList="ows,pws,fws,wsTot";
			$defStatsCalc="SUM(ows) as ows,SUM(pws) as pws,SUM(fwsTot) as fws,SUM(wsTot) as wsTot";
			$split="";
			$ptCalc="";
			$ptRate="";
			$ptLbl='';
			## Get Teams in League
			if ($tQuery=="")
			{
				foreach ($subleagues as $slid => $val) {$tQuery.=",".$subleagues[$slid]['teams'];}
				$tQuery=trim($tQuery,",");
				$tQuery=" AND team_id IN ($tQuery)";
			}
			break;			
		case 'adj_ops_plus':
		case 'EqR':
		case 'EqA':
			$table='players_season_metrics';
			$secTable='players_career_batting_stats';
			$statType='bStat';
			$defStatsList="g,ab,h,d,t,hr,rbi,r,bb,k,sb,cs,avg,ops";
			$defStatsCalc="SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if(SUM(pa)=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))+(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops";
			$ptCalc="SUM(pa)";
			$ptRate=3.1;
			$ptLbl='PA';
			break;			
		case 'adj_era_plus':
		case 'cERA':
			$table='players_season_metrics';
			$secTable='players_career_pitching_stats';
			$statType='pStat';
			$defStatsList="g,gs,w,l,s,era,ip,ha,r,er,hra,bb,k,hld,cg,sho,whip";
			$defStatsCalc="SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,SUM(ip)+SUM(ipf)/3 as ip,SUM(ha) ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip";
			$ptCalc="(SUM(ip)+SUM(ipf)/3)";
			$ptRate=1.0;
			$ptLbl='IP';
			break;			
		default:
			$table='players_career_pitching_stats';
			$statType='pStat';
			$defStatsList="g,gs,w,l,s,era,ip,ha,r,er,hra,bb,k,hld,cg,sho,whip";
			$defStatsCalc="SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,SUM(ip)+SUM(ipf)/3 as ip,SUM(ha) ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip";
			$ptCalc=",(SUM(ip)+SUM(ipf)/3) as pt";
			$ptRate=1.0;
			$ptLbl='IP';
			break;
	}
	
	$dispStat=statDisplayStatus($stat);
	
	## Get Seasonal Games Played for Rate Stats
	switch ($stat)
	{
		case 'pipa':
		case 'abhr':
		case 'pahr':
		case 'bbk':
		case 'avg':
		case 'obp':
		case 'slg':
		case 'ops':
		case 'iso':
		case 'bbabip':
		case 'wOBA':
		case 'pwrspd':
		case 'rc':
		case 'rc27':
		case 'era':
		case 'whip':
		case 'kper9':
		case 'bbper9':
		case 'hper9':
		case 'rper9':
		case 'hrper9':
		case 'kperbb':
		case 'gbPct':
		case 'babip':
		case 'wpct':
		case 'gmovr500':
		case 'pct':
		case 'rng':
		case 'rtoPct':
		case 'adj_ops_plus':
		case 'EqR':
		case 'EqA':
		case 'adj_era_plus':
		case 'cERA':			
			$ptCond=1;
			break;
	}
	if ($listing=='bot100') {$ptCond=1;}
	if ($ptCond==1)
	{
		$query="SELECT year,ROUND(AVG(g)) as g FROM team_history_record WHERE league_id=$lgid GROUP BY year ORDER BY year";
		$result=mysql_query($query,$db);
		while ($row=mysql_fetch_array($result))
		{
			$yr=$row['year'];
			$g=$row['g'];
			$years[$yr]['g']=$g;
		}
		$years[$lgyear]['g']=$g;
	}
	if (($ptCond==1)&&($scope=='career'))
	{
		$cumG=0;
		$minCarPT=0;
		$ptCarCond="";		
		for ($i=$maxYr;$i>=$minYr;$i--)
		{
			if ($years[$i]['g']==0) {$years[$i]['g']=30;}
			$cumG+=$years[$i]['g'];
			switch ($statType)
			{
				case 'bStat':
					$minCarPT=floor(3.1*$cumG);
					if (($maxYr-$i+1)>=4)
					{
						if ($minCarPT>3000) {$minCarPT=3000;}
						else
						{
							$minCarPT=floor($minCarPT/500)*500;
							$minCarPT=max($minCarPT,200);
						}
					}
					$ptCarCond=" AND SUM(pa)>=$minCarPT";
					switch ($stat)
					{
						case 'adj_ops_plus':
						case 'EqR':
						case 'EqA':
							$ptCarCond=" SUM(pt)>=$minCarPT";
					}
					break;
				case 'pStat':
					$minCarPT=1.0*$cumG;
					if (($maxYr-$i+1)>=7)
					{
						if ($minCarPT>1000) {$minCarPT=1000;}
						else
						{
							$minCarPT=floor($minCarPT/250)*250;
							$minCarPT=max($minCarPT,100);
						}
					}
					$ptCarCond=" AND (SUM(ip)+SUM(ipf)/3)>=$minCarPT";
					switch ($stat)
					{
						case 'adj_era_plus':
						case 'cERA':
							$ptCarCond=" SUM(pt)>=$minCarPT";
					}
					break;
				case 'fStat':
					$minCarPT=floor(3.1*$cumG);
					if (($maxYr-$i+1)>=4)
					{
						if ($minCarPT>3000) {$minCarPT=3000;}
						else
						{
							$minCarPT=floor($minCarPT/500)*500;
							$minCarPT=max($minCarPT,200);
						}
					}
					$ptCarCond=" AND (SUM(ip)+SUM(ipf)/3)>=$minCarPT";
					break;
			}
			
		}
	}
	
	## User PT Override if it exists
	if (($ovrMinPT!="")&&($ovrMinPT>0))
	{
		$p=explode("=",$ptCarCond);
		$ptCarCond=$p[0]."=".$ovrMinPT;
		$minCarPT=$ovrMinPT;
		$ptRate=$ovrMinPT;
	}
	
	## Start Table
	echo "<div class='textbox'>\n";
	echo " <table cellpadding=0 cellspacing=0 border=0>\n";
	echo "  <tr class='title2'><td>";
	if ($sub_league_id!="ALL") {echo $subleagues[$sub_league_id]['name']." ";}
	if ($team_id!="ALL") {echo $teams[$team_id]['name']." ";}
	if ($listing=='top100') {echo "Top 100 ";}
	else {echo "Bottom 100 ";}
	if ($scope=='season') {echo "Seasonal ";}
 	 else {echo "Career ";}
	if ($stat!="") {echo $statArray[$stat]." ";}
	echo "Leaders From $startYr to $endYr";
	if ($pos!="ALL") {echo " by ".$posArray[$pos]."'s";}
	echo "<br/>(*=Active Player, +=Hall of Famer";
	if ($ptCond==1)
	{
		echo ", Minimum ";
		if ($scope=='season') {echo number_format($ptRate,1,".",",")." $ptLbl / TmG";}
		 else {echo number_format($minCarPT,0,".",",")." $ptLbl";}
	}
	if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")) 
	{
		echo ", with ".$statArray[$minStat2Lbl];
		echo htmlspecialchars($minStat2dir);
		echo formatStat($minStat2Lbl,$minStat2);
	} 
	echo ")";
	echo "</td></tr>\n";
	echo "  <tr><td>\n";
	echo "   <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='935px'>\n";
	echo "    <thead><tr class='headline'>";
	echo "<td class='hsc2'>Rnk</td>";
	echo "<td class='hsc2_l'>Player</td>";
	if ($team_id=="ALL") {echo "<td class='hsc2_l'>Team</td>";}
	if ((!is_numeric($pos))&&($pos!="SP")&&($pos!="MR")&&($pos!="CL")) {echo "<td class='hsc2'>Pos</td>";}
	switch ($stat)
	{
		case 'black_ink':
		case 'gray_ink':
		case 'hof_standards':
		case 'bSSdiff':
		case 'pSSdiff':
			break;
		default:
			if ($scope=='season') {echo "<td class='hsc2'>Year</td>";}
			else {echo "<td class='hsc2'>Years</td>";}
			break;
	}
	$e=explode(",",$defStatsList);
	for ($i=0;$i<count($e);$i++)
	{
		$statLbl=$e[$i];
		echo "<td class='hsc2'>".$statArray[$statLbl]."</td>";
	}
	#Display Stat Header
	if ($dispStat==1) {echo "<td class='hsc2'>".$statArray[$stat]."</td>";}
	#Display Second condition stat
	if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")&&(statDisplayStatus($minStat2Lbl)==1)) 
	{
		echo "<td class='hsc2'>".$statArray[$minStat2Lbl]."</td>";
	} 	
	echo "</tr></thead>\n";
	
	## Generate Query
	$query="SELECT p.player_id,first_name,last_name,position,role,retired,hall_of_fame,x.team_id,nTeams,year";
	if ($scope=='career') {$query.=",year1";}
	$query.=",$defStatsList,stat";
	if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")) {$query.=",stat2";} 
	$query.=" FROM players as p,(";
	if (($ptCond==1)&&($scope=='season')) {$query.="SELECT t1.* FROM (";}
	if (($who!="ALL")||(($pos!="ALL")&&($statType!='fStat'))||($pos=='SP')||($pos=='RP')||($pos=='MR')||($pos=='CL')||($ageStart>15)||($ageEnd<45)||($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) {$query.="SELECT w2.* FROM (";}
	$query.="SELECT pcs.player_id,pcs.team_id,COUNT(DISTINCT team_id) as nTeams";
	if ($scope=='season') {$query.=",year";}
	 else {$query.=",MIN(year) as year,MAX(year) as year1";}
	$query.=",$defStatsCalc,$statCalc as stat";
	if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")) {$query.=",".getStatCalc($minStat2Lbl)." as stat2";} 
	if (($ptCond==1)&&($scope=='season')) {$query.=$ptCalc;}
    $query.=" FROM ";
	if (($who!="ALL")||(($pos!="ALL")&&($statType!='fStat'))||($pos=='SP')||($pos=='RP')||($pos=='MR')||($pos=='CL')||($ageStart>15)||($ageEnd<45)||($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL"))
	{
		$query.="(SELECT player_id,retired,hall_of_fame,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,position,draft_year,draft_team_id FROM players WHERE 1";
		switch ($who)
		{
			case 'active': $query.=" AND retired=0"; break;
			case 'retired': $query.=" AND retired=1"; break;
			case 'hof': $query.=" AND hall_of_fame=1"; break;
		}
		if ((($pos!="ALL")&&($statType!='fStat')&&($stat!='fws'))||($pos=='SP')||($pos=='RP')||($pos=='MR')||($pos=='CL'))
		{
			switch ($pos)
			{
				case 'IF': $query.=" AND position IN (3,4,5,6)"; break;
				case 'CI': $query.=" AND position IN (3,5)"; break;
				case 'MI': $query.=" AND position IN (4,6)"; break;
				case 'OF': $query.=" AND position IN (7,8,9)"; break;
				case 'SP': $query.=" AND position=1 AND role=11"; break;
				case 'RP': $query.=" AND position=1 AND role IN (12,13)"; break;
				case 'MR': $query.=" AND position=1 AND role=12"; break;
				case 'CL': $query.=" AND position=1 AND role=13"; break;
				default: $query.=" AND position=$pos"; break;
			}
		}
		if (($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) 
		{
			$query.=" AND draft_league_id=$lgid";
			if ($dRnd1>1) {$query.=" AND draft_round>=$dRnd1";}
			if ($dRnd2<$drndMax) {$query.=" AND draft_round<=$dRnd2";}
			if ($dtid!="ALL") {$query.=" AND draft_team_id=$dtid";}
		}
		$query.=") as w1,";
	}
	$query.="$table as pcs WHERE";
	if (($who!="ALL")||(($pos!="ALL")&&($statType!='fStat'))||($pos=='SP')||($pos=='RP')||($pos=='MR')||($pos=='CL')||($ageStart>15)||($ageEnd<45)||($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) {$query.=" w1.player_id=pcs.player_id AND";}
	switch ($stat)
	{
		case 'ows':
		case 'pws':
		case 'fws':
		case 'wsTot':
			break;
		default:
			$query.=" league_id=$lgid AND";
			break;
	}
	$query.=" year>=$minYr AND year<=$maxYr$tQuery $split";
	if (($pos!="ALL")&&($statType=='fStat')&&($stat!='fws'))
	{
		switch ($pos)
		{
			case 'IF': $query.=" AND pcs.position IN (3,4,5,6)"; break;
			case 'CI': $query.=" AND pcs.position IN (3,5)"; break;
			case 'MI': $query.=" AND pcs.position IN (4,6)"; break;
			case 'OF': $query.=" AND pcs.position IN (7,8,9)"; break;
			case 'SP':
			case 'RP':
			case 'MR':
			case 'CL':
				$query.=" AND pcs.position=1";
				break;
			default: $query.=" AND pcs.position=$pos"; break;
		}
	}
	if ($ageStart>15) {$query.=" AND (age-$lgyear+year)>=$ageStart";}
	if ($ageEnd<45) {$query.=" AND (age-$lgyear+year)<=$ageEnd";}
	$query.=" GROUP BY player_id";
	if ($scope=='season') {$query.=",year";}
	if ($orderClause=='DESC') 
	{
		$query.=" HAVING $statCalc>";
		if ($minStat!="") {$query.="$minStat";} else {$query.="0";}
		
	}
	else 
	{
		$query.=" HAVING $statCalc<";
		if ($minStat!="") {$query.="$minStat";} else {$query.="9999";}
	}
	if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")) 
	{
		$query.=" AND ".getStatCalc($minStat2Lbl).$minStat2dir.$minStat2;
	} 
	if (($ptCond==1)&&($scope=='career')) {$query.=$ptCarCond;}
	if (($who!="ALL")||(($pos!="ALL")&&($statType!='fStat'))||($pos=='SP')||($pos=='RP')||($pos=='MR')||($pos=='CL')||($ageStart>15)||($ageEnd<45)||($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL"))
	{
		$query.=") as w2";
	}
	if (($ptCond==1)&&($scope=='season'))
  {
    $query.=") as t1,(SELECT team_id,";
    if ($minYr==$lgyear) {$query.="$lgyear as year,g FROM team_record";}
    else {$query.="year,g FROM team_history_record WHERE league_id=$lgid";}
    $query.=") as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year AND t1.pt>=($ptRate*t2.g)";
  }
	$query.=" ORDER BY stat $orderClause,year LIMIT 200) as x";
	$query.=" WHERE p.player_id=x.player_id ORDER BY stat $orderClause,year,last_name,first_name";
	
	## Special Stat Queries
	switch ($stat)
	{
		case 'black_ink':
		case 'gray_ink':
		case 'hof_standards':
		case 'bSSdiff':
		case 'pSSdiff':
			$query="SELECT p.player_id,first_name,last_name,pci.position,role,retired,hall_of_fame,p.organization_id as team_id,$lgyear as year,$defStatsCalc,";
			$query.=$statCalc." as stat";
			$query.=" FROM players as p,players_career_info as pci WHERE p.player_id=pci.player_id AND pci.league_id=$lgid";
			switch ($who)
			{
				case 'active': $query.=" AND retired=0"; break;
				case 'retired': $query.=" AND retired=1"; break;
				case 'hof': $query.=" AND hall_of_fame=1"; break;
			}
			if ($pos!="ALL")
			{
				switch ($pos)
				{
					case 'IF': $query.=" AND pci.position IN (3,4,5,6)"; break;
					case 'CI': $query.=" AND pci.position IN (3,5)"; break;
					case 'MI': $query.=" AND pci.position IN (4,6)"; break;
					case 'OF': $query.=" AND pci.position IN (7,8,9)"; break;
					case 'SP': $query.=" AND pci.position=1 AND role=11"; break;
					case 'RP': $query.=" AND pci.position=1 AND role IN (12,13)"; break;
					case 'MR': $query.=" AND pci.position=1 AND role=12"; break;
					case 'CL': $query.=" AND pci.position=1 AND role=13"; break;
					default: $query.=" AND pci.position=$pos"; break;
				}
			}
			if (($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) 
			{
				$query.=" AND draft_league_id=$lgid";
				if ($dRnd1>1) {$query.=" AND draft_round>=$dRnd1";}
				if ($dRnd2<$drndMax) {$query.=" AND draft_round<=$dRnd2";}
				if ($dtid!="ALL") {$query.=" AND draft_team_id=$dtid";}
			}
			$query.=" HAVING stat>";
			if ($minStat!="") {$query.="$minStat";} else {$query.="9999";}
			if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")) 
			{
				$query.=" AND ".getStatCalc($minStat2Lbl).$minStat2dir.$minStat2;
			} 
			$query.="ORDER BY stat $orderClause,last_name,first_name LIMIT 200;";
			break;			
		case 'adj_ops_plus':
		case 'EqR':
		case 'EqA':
		case 'adj_era_plus':
		case 'cERA':
			$query="SELECT p.player_id,first_name,last_name,position,role,retired,hall_of_fame,year";
			if ($scope=='career') {$query.=",year1";}
			$query.=",x.team_id,nTeams,$defStatsList,stat FROM players as p,(";
			if ($scope=='season') {$query.="SELECT t1.* FROM (";}
			$query.="SELECT player_id";
			if ($scope=='season') {$query.=",year";}
			else {$query.=",MIN(year) as year,MAX(year) as year1";}
			$query.=",team_id,nTeams,$defStatsCalc,SUM(pt) as pt,SUM(statProd)/SUM(pt) as stat FROM (SELECT psm.player_id,psm.year,psm.team_id,COUNT(DISTINCT psm.team_id) as nTeams,$defStatsCalc";
			switch ($stat)
			{
			  case 'adj_ops_plus':
			  case 'EqR':
			  case 'EqA':
			    $query.=",SUM(pa) as pa,SUM(hp) as hp,SUM(sf) as sf";
			    break;
				case 'adj_era_plus':
				case 'cERA':
					$query.=",0 as ipf";
					break;
			}
			$query.=",$ptCalc as pt,SUM($stat) as stat,($ptCalc)*SUM($stat) as statProd FROM $secTable as pcs,(SELECT p2.player_id,year,p2.team_id,$stat";
			if (($ageStart>15)||($ageEnd<45)) {$query.=",($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age";}
			$query.=" FROM ";
			if (($who!="ALL")||($pos!="ALL")||($ageStart>15)||($ageEnd<45)||($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) {$query.="players as p1,";}
			$query.="$table as p2 WHERE p2.league_id=$lgid";
			if (($who!="ALL")||($pos!="ALL")||($ageStart>15)||($ageEnd<45)||($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) 
			{
				$query.=" AND p1.player_id=p2.player_id";
				switch ($who)
				{
					case 'active': $query.=" AND retired=0"; break;
					case 'retired': $query.=" AND retired=1"; break;
					case 'hof': $query.=" AND hall_of_fame=1"; break;
				}
				if ($pos!="ALL")
				{
					switch ($pos)
					{
						case 'IF': $query.=" AND p.position IN (3,4,5,6)"; break;
						case 'CI': $query.=" AND p.position IN (3,5)"; break;
						case 'MI': $query.=" AND p.position IN (4,6)"; break;
						case 'OF': $query.=" AND p.position IN (7,8,9)"; break;
						case 'SP': $query.=" AND p.position=1 AND role=11"; break;
						case 'RP': $query.=" AND p.position=1 AND role IN (12,13)"; break;
						case 'MR': $query.=" AND p.position=1 AND role=12"; break;
						case 'CL': $query.=" AND p.position=1 AND role=13"; break;
						default: $query.=" AND p.position=$pos"; break;
					}
				}
				if (($dRnd1>1)||($dRnd2<$drndMax)||($dtid!="ALL")) 
				{
					$query.=" AND draft_league_id=$lgid";
					if ($dRnd1>1) {$query.=" AND draft_round>=$dRnd1";}
					if ($dRnd2<$drndMax) {$query.=" AND draft_round<=$dRnd2";}
					if ($dtid!="ALL") {$query.=" AND draft_team_id=$dtid";}
				}
			}
			
			$query.=") as psm WHERE pcs.player_id=psm.player_id AND pcs.year=psm.year AND pcs.team_id=psm.team_id AND pcs.split_id=1 AND pcs.league_id=$lgid";
			if ($tQuery!="") {$query.=str_replace("team_id","psm.team_id",$tQuery);}
			if ($ageStart>15) {$query.=" AND (age-$lgyear+psm.year)>=$ageStart";}
			if ($ageEnd<45) {$query.=" AND (age-$lgyear+psm.year)<=$ageEnd";}
			$query.=" GROUP BY player_id,year,team_id) as w2 GROUP BY player_id,year";
			if ($scope=='season') {$query.=") as t1,(SELECT team_id,year,g FROM team_history_record WHERE league_id=$lgid) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year AND t1.pt>=($ptRate*t2.g)
";}
			else {$query.=" HAVING ".$ptCarCond;}
			$query.=" ORDER BY stat $orderClause";
			if ($scope=='season') {$query.=",year";}
			$query.=" LIMIT 200) as x WHERE p.player_id=x.player_id ORDER BY stat $orderClause,year,last_name,first_name";
			break;			
	}

	## Run Query
	if ($_GET['showq']==1) {echo "$query<br/>\n";}
	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	{
		$cnt=0;
		$rnk=0;
		$prevStat="";
		while ($row=mysql_fetch_array($result))
		{
			$pid=$row['player_id'];
			$name=$row['first_name']." ".$row['last_name'];
			$sortname=$row['last_name'].", ".$row['first_name'];
			$hof=$row['hall_of_fame'];
			$tid=$row['team_id'];
			$nTeams=$row['nTeams'];
			$active=$row['retired'];
			$year=$row['year'];
			$statVal=$row['stat'];

			## Update Rank
			if ($prevStat!=$statVal)
			{
				$rnk=$cnt+1;
				$prevStat=$statVal;
			}
			## Quit if past top 100
			if ($rnk>100) {break;}
						
			## Start Row			
			$cls='s'.($cnt%2+1);
			echo "    <tr class='$cls'>";
			echo "<td>$rnk</td>";
			echo "<td class='".$cls."_l' sorttable_customkey=\"".$sortname."\"><a href='./player.php?player_id=$pid'>$name</a>";
			if ($hof==1) {echo "+";}
			if ($active==0) {echo "*";}
			echo "</td>";
			if ($team_id=="ALL") 
			{
				echo "<td class='".$cls."_l'";
				if ($nTeams>1) {echo " title='Played for $nTeams teams'";}
				echo ">";
				if ($tid==0)
				{
					if ($active==1) {echo "Ret";}
					else {echo "FA";}
				}
				else
				{
					$tabbr=$teams[$tid][$year]['abbr'];
					echo "<a href='./teamHist.php?team_id=$tid";
					if (($scope=='season')||($year==$row['year1'])) {echo "&page=year&year=$year";}
					else {echo "&page=index";}
					echo "'>$tabbr</a>";
					if ($nTeams>1) {echo "<sup>($nTeams)</sup>";}
				}
				echo "</td>";
			}
			$pPos=$row['position'];
			if ($pPos==1) {$posDisp=get_pos($row['role']);}
			else {$posDisp=get_pos($pPos);}
			if ((!is_numeric($pos))&&($pos!="SP")&&($pos!="MR")&&($pos!="CL")) {echo "<td class='hsc2' sorttable_customkey=\"".$pPos."\">".$posDisp."</td>";}
			switch ($stat)
			{
				case 'black_ink':
				case 'gray_ink':
				case 'hof_standards':
				case 'bSSdiff':
				case 'pSSdiff':
					break;
				default:
					echo "<td>$year";
					if (($scope=='career')&&(isset($row['year1']))&&($row['year1']!=$year)) {echo "-".$row['year1'];}
					echo "</td>";
					break;
			}
			
			## Display Default Stats
			for ($i=0;$i<count($e);$i++)
			{
				$statLbl=$e[$i];
				$statVal2=$row[$statLbl];
				$statVal2=formatStat($statLbl,$statVal2);			
				echo "<td>".$statVal2."</td>";
			}
			## Display Sorted on Stat
			if ($dispStat==1) 
			{
				$statVal=formatStat($stat,$statVal);
				echo "<td valign='top'>$statVal</td>";
			}
			## Display Second Condition Stat
			if (($minStat2!="")&&($minStat2Lbl!="")&&($minStat2dir!="")&&(statDisplayStatus($minStat2Lbl)==1)) 
			{
				$statVal=$row['stat2'];
				$statVal=formatStat($minStat2Lbl,$statVal);
				echo "<td valign='top'>$statVal</td>";
			} 	
			#End row
			echo "</tr>\n";
			$cnt++;
		}
	}		
	else
	{
		echo "<tr><td colspan=30 style='text-align:center;'> -- No players found -- </td></tr>\n";
	}
	
	## Close Table
	echo "   </table>\n";
		
	echo "  <td></tr>\n";
	echo " </table>\n";
	echo "</div>\n";
}   ## End Players View
	
	
##Display results
if ($view=='teams')
{
	## Get SQL Table
	switch ($stat)
	{
		case 'ab':
		case 'h':
		case 'd':
		case 't':
		case 'hr':
		case 'rbi':
		case 'r':
		case 'sb':
		case 'cs':
		case 'bb':
		case 'k':
		case 'sf':
		case 'sh':
		case 'ibb':
		case 'hp':
		case 'gdp':
		case 'pa':
		case 'outs':
		case 'ebh':
		case 'tb':
		case 'tob':
		case 'tto':
		case 'pitches_seen':
		case 'pipa':
		case 'abhr':
		case 'pahr':
		case 'bbk':
		case 'avg':
		case 'obp':
		case 'slg':
		case 'ops':
		case 'iso':
		case 'bbabip':
		case 'wOBA':
		case 'pwrspd':
		case 'rc':
		case 'rc27':
			$table='team_history_batting_stats';
			$statType='bStat';
			$defStatsList="g,ab,h,d,t,hr,rbi,r,bb,k,sb,cs,avg,ops";
			$defStatsCalc="SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if(SUM(pa)=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))+(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops";
			break;
		case 'fgs':
		case 'po':
		case 'a':
		case 'dp':
		case 'tp':
		case 'tc':
		case 'e':
		case 'fip':
		case 'pct':
		case 'rng':
		case 'pb':
		case 'sba':
		case 'rto':
		case 'rtoPct':
			$table='team_history_fielding_stats_stats';
			$statType='fStat';
			$defStatsList="g,gs,po,a,dp,tc,e,pct,ip,rng";
			$defStatsCalc="SUM(g) as g,SUM(gs) as gs,SUM(po) as po,SUM(a) as a,SUM(dp) as dp,SUM(tc) as tc,SUM(e) as e,if(SUM(tc)=0,0,(SUM(po)+SUM(a))/SUM(tc)) as pct,SUM(ip)+SUM(ipf)/3 as ip,if((SUM(ip)+SUM(ipf)/3)=0,0,9*(SUM(po)+SUM(a))/(SUM(ip)+SUM(ipf)/3)) as rng";
			break;
		case 'attendance':
		case 'budget':
		case 'gate_revenue':
		case 'merchandising_revenue':
		case 'media_revenue':
		case 'playoff_revenue':
		case 'revenue_sharing':
		case 'tot_revenue':
		case 'player_expenses':
		case 'staff_expenses':
		case 'tot_expenses':
		case 'profit':
			$table='team_history_financials';
			$statType='finStat';
			$defStatsList="gate_revenue,media_revenue,merchandising_revenue,player_expenses";
			$defStatsCalc="SUM(gate_revenue) as gate_revenue,SUM(media_revenue) as media_revenue,SUM(merchandising_revenue) as merchandising_revenue,SUM(player_expenses) as player_expenses";
			break;
		default:
			$table='team_history_pitching_stats';
			$statType='pStat';
			$defStatsList="g,gs,w,l,s,era,ip,ha,r,er,hra,bb,k,hld,cg,sho,whip";
			$defStatsCalc="SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,SUM(ip)+SUM(ipf)/3 as ip,SUM(ha) ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip";
			break;
	}
	
	## Determine Displayable Stats
	$dispStat=1;
	switch ($stat)
	{
		case 'g':
		case 'ab':
		case 'h':
		case 'd':
		case 't':
		case 'hr':
		case 'rbi':
		case 'r':
		case 'bb':
		case 'k':
		case 'sb':
		case 'cs':
		case 'avg':
		case 'ops':
		case 'pg':
		case 'gs':
		case 'w':
		case 'l':
		case 's':
		case 'era':
		case 'ip':
		case 'ha':
		case 'pr':
		case 'er':
		case 'hra':
		case 'pbb':
		case 'pk':
		case 'hld':
		case 'cg':
		case 'sho':
		case 'whip':
		case 'fg':
		case 'fgs':
		case 'po':
		case 'a':
		case 'dp':
		case 'tc':
		case 'e':
		case 'pct':
		case 'fip':
		case 'rng':
		case 'gate_revenue':
		case 'media_revenue':
		case 'merchandising_revenue':
		case 'player_expenses':
			$dispStat=0;
			break;
	}
	
	## Start Table
	echo "<div class='textbox'>\n";
	echo " <table cellpadding=0 cellspacing=0 border=0>\n";
	echo "  <tr class='title2'><td>";
	if ($sub_league_id!="ALL") {echo $subleagues[$sub_league_id]['name']." ";}
	if ($team_id!="ALL") {echo $teams[$team_id]['name']." ";}
	if ($listing=='top100') {echo "Top 100 ";}
	else {echo "Bottom 100 ";}
	if ($scope=='season') {echo "Seasonal ";}
	else {echo "Cumulative ";}
	if ($stat!="") {echo $statArray[$stat]." ";}
	echo "Leaders From $startYr to $endYr";
	echo "</td></tr>\n";
	echo "  <tr><td>\n";
	echo "   <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='935px'>\n";
	echo "    <thead><tr class='headline'>";
	echo "<td class='hsc2'>Rnk</td>";
	echo "<td class='hsc2_l'>Team</td>";
	if ($scope=='season') {echo "<td class='hsc2'>Year</td>";}
	else {echo "<td class='hsc2'>Years</td>";}
	$e=explode(",",$defStatsList);
	for ($i=0;$i<count($e);$i++)
	{
		$statLbl=$e[$i];
		echo "<td class='hsc2'>".$statArray[$statLbl]."</td>";
	}
	if ($dispStat==1) {echo "<td class='hsc2'>".$statArray[$stat]."</td>";}
	echo "</tr></thead>\n";

	## Generate Query
	$query="SELECT team_id";
	if ($scope=='season') {$query.=",year";}
	else {$query.=",MIN(year) as year,MAX(year) as year1";}
	$query.=",$defStatsCalc,$statCalc as stat FROM $table WHERE league_id=$lgid AND year>=$minYr AND year<=$maxYr$tQuery GROUP BY team_id";
	if ($scope=='season') {$query.=",year";}
	if ($orderClause=='DESC') {$query.=" HAVING $statCalc>0";}
	$query.=" ORDER BY stat $orderClause,year LIMIT 200";

	## Run Query
	if ($_GET['showq']==1) {echo "$query<br/>\n";}
	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	{
		$cnt=0;
		$rnk=0;
		$prevStat="";
		while ($row=mysql_fetch_array($result))
		{
			$tid=$row['team_id'];
			$year=$row['year'];
			$name=$teams[$tid][$year]['name'];
			if (($scope=='career')&&(isset($row['year1']))&&($row['year1']!=$year))
			{
				$year1=$row['year1'];
				$name=$teams[$tid][$year1]['name'];
			}
			$statVal=$row['stat'];
			
			## Update Rank
			if (($prevStat!=$statVal)||($prevStat==""))
			{
				$rnk=$cnt+1;
				$prevStat=$statVal;
			}
			## Quit if past top 100
			if ($rnk>100) {break;}
			
			## Start Row			
			$cls='s'.($cnt%2+1);
			echo "    <tr class='$cls'>";
			echo "<td>$rnk</td>";
			echo "<td class='".$cls."_l'>";
			echo "<a href='./teamHist.php?team_id=$tid";
			if (($scope=='season')||($year==$row['year1'])) {echo "&page=year&year=$year";}
			else {echo "&page=index";}
			echo "'>$name</a>";
			echo "</td>";
			echo "<td>$year";
			if (($scope=='career')&&(isset($row['year1']))&&($row['year1']!=$year)) {echo "-".$row['year1'];}
			echo "</td>";
			
			## Display Default Stats
			for ($i=0;$i<count($e);$i++)
			{
				$statLbl=$e[$i];
				$statVal2=$row[$statLbl];
				switch ($statLbl)
				{
					case 'avg':
					case 'obp':
					case 'slg':
					case 'ops':
					case 'wOBA':
					case 'iso':
					case 'bbabip':
					case 'EqA':
					case 'babip':
					case 'pct':
					case 'wpct':
						$statVal2=sprintf("%.3f",$statVal2);
						if ($statVal2<1) {$statVal2=strstr($statVal2,".");}
						break;
					case 'pipa':
					case 'bbk':
					case 'era':
					case 'whip':
					case 'kper9':
					case 'bbper9':
					case 'hper9':
					case 'rper9':
					case 'hrper9':
					case 'kperbb':
					case 'cERA':
					case 'rng':
						$statVal2=sprintf("%.2f",$statVal2);
						break;
					case 'vorp':
					case 'abhr':
					case 'pahr':
					case 'pwrspd':
					case 'rc27':
					case 'EqR':
					case 'ip':
					case 'pvorp':
					case 'fip':
					case 'ows':
					case 'pws':
					case 'fws':
					case 'wsTot':
						$statVal2=sprintf("%.1f",$statVal2);
						break;
					case 'rtoPct':
					case 'gbPct':
						$statVal2=sprintf("%.1f",100*$statVal2);
						break;
					case 'rc':
					case 'adj_ops_plus':
					case 'adj_era_plus':
						$statVal2=sprintf("%.0f",$statVal2);
						break;
					case 'attendance':
						$statVal2=number_format($statVal2,0,".",",");
						break;
					case 'budget':
					case 'gate_revenue':
					case 'merchandising_revenue':
					case 'media_revenue':
					case 'playoff_revenue':
					case 'revenue_sharing':
					case 'tot_revenue':
					case 'player_expenses':
					case 'staff_expenses':
					case 'tot_expenses':
					case 'profit':
						$statVal2="$".number_format($statVal2,0,".",",");
						break;
				}				
				echo "<td>".$statVal2."</td>";
			}
			## Display Sorted on Stat
			if ($dispStat==1) 
			{
				switch ($stat)
				{
					case 'avg':
					case 'obp':
					case 'slg':
					case 'ops':
					case 'wOBA':
					case 'iso':
					case 'bbabip':
					case 'EqA':
					case 'babip':
					case 'pct':
					case 'wpct':
						$statVal=sprintf("%.3f",$statVal);
						if ($statVal<1) {$statVal=strstr($statVal,".");}
						break;
					case 'pipa':
					case 'bbk':
					case 'era':
					case 'whip':
					case 'kper9':
					case 'bbper9':
					case 'hper9':
					case 'rper9':
					case 'hrper9':
					case 'kperbb':
					case 'cERA':
					case 'rng':
						$statVal=sprintf("%.2f",$statVal);
						break;
					case 'vorp':
					case 'abhr':
					case 'pahr':
					case 'pwrspd':
					case 'rc27':
					case 'EqR':
					case 'ip':
					case 'pvorp':
					case 'fip':
					case 'ows':
					case 'pws':
					case 'fws':
					case 'wsTot':
						$statVal=sprintf("%.1f",$statVal);
						break;
					case 'rtoPct':
					case 'gbPct':
						$statVal=sprintf("%.1f",100*$statVal);
						break;
					case 'rc':
					case 'adj_ops_plus':
					case 'adj_era_plus':
						$statVal=sprintf("%.0f",$statVal);
						break;
					case 'attendance':
						$statVal=number_format($statVal,0,".",",");
						break;
					case 'budget':
					case 'gate_revenue':
					case 'merchandising_revenue':
					case 'media_revenue':
					case 'playoff_revenue':
					case 'revenue_sharing':
					case 'tot_revenue':
					case 'player_expenses':
					case 'staff_expenses':
					case 'tot_expenses':
					case 'profit':
						$statVal="$".number_format($statVal,0,".",",");
						break;
				}
				echo "<td valign='top'>$statVal</td>";
			}
			#End row
			echo "</tr>\n";
			$cnt++;
		}
	  if ($dispStat==1) {echo "<td class='hsc2'>".$statTotal[$stat]."</td>";}
	  echo "</tr></tfoot>\n";
		
	}		
	else
	{
		echo "<tr><td colspan=30 style='text-align:center;'> -- No teams found -- </td></tr>\n";
	}

	## Close Table
	echo "   </table>\n";
	
	echo "  <td></tr>\n";
	echo " </table>\n";
	echo "</div>\n";
	
}   ## End Teams View
	
	
##### Close out page #####
echo "</div>   <!-- END contentpane DIV -->\n";
	
	if ($view=='players') {echo dispPTJava();}
	
page_foot($lgpath);
exit;

function dispPTJava()
{
  $txt="";
	## Sorting Javascript
	$txt.="<script type='text/javascript'>\n";
	$txt.="  function setPTstatType(stat) {\n";
	$txt.="	  switch (stat)\n";
	$txt.="	  {\n";
	$txt.="       case 'ab':\n";
	$txt.="       case 'h':\n";
	$txt.="	     case 'd':\n";
	$txt.="	     case 't':\n";
	$txt.="	     case 'hr':\n";
	$txt.="	     case 'rbi':\n";
	$txt.="	     case 'r':\n";
	$txt.="	     case 'sb':\n";
	$txt.="	     case 'cs':\n";
	$txt.="	     case 'bb':\n";
	$txt.="	     case 'k':\n";
	$txt.="	     case 'sf':\n";
	$txt.="	     case 'sh':\n";
	$txt.="	     case 'ibb':\n";
	$txt.="	     case 'hp':\n";
	$txt.="	 	   case 'gdp':\n";
	$txt.="	     case 'pa':\n";
	$txt.="	     case 'outs':\n";
	$txt.="	     case 'ebh':\n";
	$txt.="	     case 'tb':\n";
	$txt.="	     case 'tob':\n";
	$txt.="	     case 'tto':\n";
	$txt.="	     case 'pitches_seen':\n";
	$txt.="	     case 'pipa':\n";
	$txt.="	     case 'abhr':\n";
	$txt.="	     case 'pahr':\n";
	$txt.="	     case 'bbk':\n";
	$txt.="	     case 'avg':\n";
	$txt.="	     case 'obp':\n";
	$txt.="	     case 'slg':\n";
	$txt.="	     case 'ops':\n";
	$txt.="	     case 'iso':\n";
	$txt.="	     case 'bbabip':\n";
	$txt.="	     case 'wOBA':\n";
	$txt.="	     case 'vorp':\n";
	$txt.="	     case 'pwrspd':\n";
	$txt.="	     case 'rc':\n";
	$txt.="	     case 'rc27':\n";
	$txt.="	     case 'adj_ops_plus':\n";
	$txt.="	     case 'EqR':\n";
	$txt.="	     case 'EqA':\n";
	$txt.="	       document.getElementById('ptStat').innerHTML='PA';\n";
	$txt.="	       break;\n";
	$txt.="	     case 'fgs':\n";
	$txt.="	     case 'po':\n";
	$txt.="	     case 'a':\n";
	$txt.="	     case 'dp':\n";
	$txt.="	     case 'tp':\n";
	$txt.="	     case 'tc':\n";
	$txt.="	     case 'e':\n";
	$txt.="	     case 'fip':\n";
	$txt.="	     case 'pct':\n";
	$txt.="	     case 'rng':\n";
	$txt.="	     case 'pb':\n";
	$txt.="	     case 'sba':\n";
	$txt.="	     case 'rto':\n";
	$txt.="	     case 'rtoPct':\n";
	$txt.="	       document.getElementById('ptStat').innerHTML='Inn';\n";
	$txt.="	       break;\n";
	$txt.="	     case 'black_ink':\n";
	$txt.="	     case 'gray_ink':\n";
	$txt.="	     case 'hof_standards':\n";
	$txt.="	     case 'bSSdiff':\n";
	$txt.="	     case 'pSSdiff':\n";
	$txt.="	       document.getElementById('ptStat').innerHTML='N/A';\n";
	$txt.="	       break;\n";
	$txt.="	     default:\n";
	$txt.="	       document.getElementById('ptStat').innerHTML='IP';\n";
	$txt.="	       break;\n";
	$txt.="	   }\n";
	$txt.="	}\n";
	$txt.="	function setPTind(to) {\n";
	$txt.="	  if (to=='s') {document.getElementById('ptIndicator').innerHTML=' per team game';}\n";
	$txt.="	  else {document.getElementById('ptIndicator').innerHTML='';}\n";
	$txt.="	}\n";
	$txt.="  setPTstatType(document.getElementById('stat')[document.getElementById('stat').selectedIndex].value);\n";
	$txt.="</script>\n";
	return $txt;
}


	
	
	
######################################################
function statDisplayStatus($stat)
{
	## Determine Displayable Stats
	$dispStat=1;
	switch ($stat)
	{
		case 'g':
		case 'ab':
		case 'h':
		case 'd':
		case 't':
		case 'hr':
		case 'rbi':
		case 'r':
		case 'bb':
		case 'k':
		case 'sb':
		case 'cs':
		case 'avg':
		case 'ops':
		case 'pg':
		case 'gs':
		case 'w':
		case 'l':
		case 's':
		case 'era':
		case 'ip':
		case 'ha':
		case 'pr':
		case 'er':
		case 'hra':
		case 'pbb':
		case 'pk':
		case 'hld':
		case 'cg':
		case 'sho':
		case 'whip':
		case 'fg':
		case 'fgs':
		case 'po':
		case 'a':
		case 'dp':
		case 'tc':
		case 'e':
		case 'pct':
		case 'fip':
		case 'rng':
		case 'pb':
		case 'sba':
		case 'rto':
		case 'rtoPct':
		case 'ows':
		case 'pws':
		case 'wsTot':
		case 'black_ink':
		case 'gray_ink':
		case 'hof_standards':
			$dispStat=0;
			break;
	}
	return $dispStat;
}	
?>
