<?php
  session_start();
  include("html_functions.php");
  check_cookie();
  include($_SESSION['adminpath']."/dbopen.php");

  $lgpath=$_SESSION['lgpath'];
  $lid=$_GET['league_id'];
  if ($lid!="") {$lgid=$lid;}
  if ($lgid=="") {$lgid=$_SESSION['lgid'];}
  if ($lgid=="") {$lgid=100;}

  $title="Player Rankings";
  page_head($title,$lgpath);

  echo " <div id='topbar'>\n";

  main_nav($lgid,$lgpath,$title);
  util_nav();
  util_sub_nav("Last Sim");

  echo " </div>   <!-- END topbar DIV -->\n";

  echo " <div id='contentpane'>\n";
  
  echo make_player_rankings($lgid);
  
  echo " </div>   <!-- END contentpane DIV -->\n";

  page_foot($lgpath);

function make_player_rankings($lgid=100)
 {
   $adminpath=$_SESSION['adminpath'];
   include($adminpath."/dbopen.php");

   ##### Generate Page #####
   $lgdate=$_SESSION['lgdate'];
   $lgpath=$_SESSION['lgpath'];
	 $date=new Date($_SESSION['lgdate']);
	 $lgyear=$date->format("Y");
	 $lgMo=$date->format("m");
	 $lgDay=$date->format("d");
	 
   ##### Get Team Info #####
   $query="SELECT team_id,abbr,name,nickname,level,parent_team_id,league_id FROM teams WHERE allstar_team=0 AND (league_id=$lgid OR parent_team_id IN (SELECT team_id FROM teams WHERE league_id=$lgid AND allstar_team=0));";
   $result=mysql_query($query,$db);
	 $tList="";
	 $lgList="";
   while ($row=mysql_fetch_array($result))			    
    {
      $tid=$row['team_id'];
      $teams[$tid]['name']=$row['name']." ".$row['nickname'];
		$teams[$tid]['abbr']=$row['abbr'];
		$teams[$tid]['level']=$row['level'];
		$teams[$tid]['ptid']=$row['parent_team_id'];
		$tList.=",$tid";
		$league_id=$row['league_id'];
		if (!isset($leagues[$league_id])) {$lgList.=",".$league_id;}
		$leagues[$league_id]=1;
    }
	 $tList=trim($tList,",");
	 $lgList=trim($lgList,",");

	 ##### Get Season Completion Percentage #####
	 $query="SELECT played,COUNT(game_id) as g FROM games WHERE league_id=$lgid AND game_type=0 AND games.date LIKE '".$lgyear."%' GROUP BY played;";
	 $result=mysql_query($query,$db);
	 if ($result)
	 {
		 while ($row=mysql_fetch_array($result))
		 {
			 switch ($row['played'])
			 {
				 case 0: $unPlayGm=$row['g']; break;
				 case 1: $playGm=$row['g']; break;
			 }
		 }
		 $seaCompPct=$playGm/($unPlayGm+$playGm);
	 }
	 if (($seaCompPct>0.5)||($lgMo>8)) {$strtYr=$lgyear;} else {$strtYr=$lgyear-1;}
	 
	 ##### Rank Batters #####
   if (($view=='batters')||($view='both'))
    {
	    ## Get Past Stats
		$query="SELECT p.player_id,first_name,last_name,age,position,p.league_id,team_id,organization_id,(if(age>30,1+0.05*(30-age),if(age<26,1+0.02*(26-age),1)))*(if(position=2,1.10,if(position=6,1.08,if(position=4,1.05,if(position=8,1.02,if(position=5,1,if(position=10,.75,if(position=3,.8,.93))))))))*SUM(lw) as lw FROM players as p,(SELECT player_id,year,t1.league_id,league_level,lw*(if(year=".($strtYr-3).",.05,if(year=".($strtYr-2).",.2,if(year=".($strtYr-1).",.5,1))))*(1/league_level) as lw FROM (SELECT player_id,year,league_id,(0.47*(sum(h)-sum(d)-sum(t)-sum(hr)) + .78*sum(d) + 1.09*sum(t) + 1.4*sum(hr) + .33*(sum(bb)-sum(hp)) + .3*sum(sb) - .52*sum(cs) - .26*(sum(ab)-sum(h)-sum(gdp)) - .72*sum(gdp)) as lw FROM players_career_batting_stats WHERE league_id IN ($lgList) AND year>=".($strtYr-3)." AND year!=".($strtYr+1)." AND split_id=1 GROUP BY player_id,year,league_id) as t1,leagues as l WHERE t1.league_id=l.league_id) as t2 WHERE p.player_id=t2.player_id GROUP BY player_id ORDER BY lw DESC";
		if ($_GET['showq']==1) {echo "$query<br/>\n";}
		$result=mysql_query($query,$db);
		if (mysql_num_rows($result))
		{
			while ($row=mysql_fetch_array($result))
			{
				$pid=$row['player_id'];
				$players[$pid]['name']=$row['first_name']." ".$row['last_name'];
				$players[$pid]['sortname']=$row['last_name'].", ".$row['first_name'];
				$players[$pid]['age']=$row['age'];
				$players[$pid]['position']=$row['position'];
				$players[$pid]['league_id']=$row['league_id'];
				$players[$pid]['team_id']=$row['team_id'];
				$players[$pid]['organization_id']=$row['organization_id'];
				$lw=$row['lw'];
				$bvalues[$pid]=$lw;
			}
		}
		## Calculate avg
		$btot=0;
		$bcnt=0;
		foreach ($bvalues as $pid => $val)
		{
			$btot+=$bvalues[$pid];
			$bcnt++;
		}
		$bavg=$btot/$bcnt;
		## Calculate Deviation
		$bstd=deviation($bvalues);
		
		## Compute z-Score
		foreach ($bvalues as $pid => $val) {$values[$pid]=($bvalues[$pid]-$bavg)/$bstd;}
		
	}

	 ## Display Results
	 if (isset($values))
	  {
	    arsort($values);
		$text.=" <div class='textbox'>\n";
		  $text.=" <table cellpadding=0 cellspacing=0 border=0>\n";
		  $text.="  <tr class='title'><td>Player Rankings</td></tr>\n";
		  $text.="  <tr><td>\n";
		  $text.="   <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='935px'>\n";
		  $text.="    <thead><tr class='headline'>";
		  $text.="<td class='hsc2_l'>Rnk</td>\n";
		  $text.="<td class='hsc2'>Pos</td>\n";
		  $text.="<td class='hsc2_l'>Player</td>\n";
		  $text.="<td class='hsc2'>Age</td>\n";
		  $text.="<td class='hsc2_l'>Organization</td>\n";
		  $text.="<td class='hsc2_l'>Team</td>\n";
		  $text.="<td class='hsc2'>Level</td>\n";
		  $text.="</tr></thead>\n";
		  $cnt=0;
	      foreach ($values as $pid => $val)
	      {
			  $cls='s'.($cnt%2+1);
			  $cnt++;
			  if ($cnt>25) {break;}
			  $tid=$players[$pid]['team_id'];
			  $orgid=$players[$pid]['organization_id'];
			  $league_id=$players[$pid]['league_id'];
			  $text.="    <tr class='$cls'>";
			  $text.="<td class='".$cls."_l'>$cnt</td>\n";
			  $text.="<td>".get_pos($players[$pid]['position'])."</td>\n";
			  $text.="<td class='".$cls."_l' sorttable_customsortkey=\"".$players[$pid]['sortname']."\"'><a href='";
			  if ($league_id==$lgid) {$text.="./player.php?player_id=$pid";}
			  $text.="'>".$players[$pid]['name']."</a></td>\n";
			  $text.="<td>".$players[$pid]['age']."</td>\n";
			  $text.="<td class='".$cls."_l'><a href='$lgpath/teams/team_$orgid.html'>".$teams[$orgid]['name']."</a></td>\n";
			  $text.="<td class='".$cls."_l'><a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['abbr']."</a></td>\n";
			  $text.="<td>".get_level($players[$pid]['level'])."</td>\n";
			  $text.="</tr>\n";
		  }
		  $text.="    </table>\n";
		  $text.="   </td></tr>\n";
		  $text.="  </table>\n";
		  $text.=" </div>\n";
	  }
	 
	 
	 
	 ## Restore Scales
	 if ($ratings=='Hidden') {$_SESSION['ratings']='Hidden';}
	 if ($talents=='Hidden') {$_SESSION['talents']='Hidden';}
	 if ($others=='Hidden') {$_SESSION['others']='Hidden';}

	 return $text;
 }
?>
