function moveUp(element) {
    var j;
    var who;
    for(i = 0; i < element.options.length; i++) {
        if(element.options[i].selected == true) {
            if(i != 0) {
                var text1 = element.options[i-1].text;
                j = text1.indexOf('.');
                who = text1.substr(j+1);
                j = text1.substr(0,j);
                text1=(parseInt(j)+1)+"."+who;
                var text2 = element.options[i].text;
                j = text2.indexOf('.');
                who = text2.substr(j+1);
                j = text2.substr(0,j);
                text2=(j-1)+"."+who;
                var temp = new Option(text1,element.options[i-1].value);
                var temp2 = new Option(text2,element.options[i].value);
                element.options[i-1] = temp2;
                element.options[i-1].selected = true;
                element.options[i] = temp;
            }
        }
    }
}

function moveDown(element) {
    var j;
    var who;
    for(i = (element.options.length - 1); i >= 0; i--) {
        if(element.options[i].selected == true) {
            if(i != (element.options.length - 1)) {
                var text1 = element.options[i+1].text;
                j = text1.indexOf('.');
                who = text1.substr(j+1);
                j = text1.substr(0,j);
                text1=(j-1)+"."+who;
                var text2 = element.options[i].text;
                j = text2.indexOf('.');
                who = text2.substr(j+1);
                j = text2.substr(0,j);
                text2=(parseInt(j)+1)+"."+who;
                var temp1 = new Option(text1 ,element.options[i+1].value);
                var temp2 = new Option(text2,element.options[i].value);
                element.options[i+1] = temp2;
                element.options[i+1].selected = true;
                element.options[i] = temp1;
            }
        }
    }
}
function swap(list) {
    var j = 0;
    for(i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            j++;
            switch (j) {
                case 1:
                var i1 = i;
                var temp = new Option(list.options[i].text, list.options[i].value);
                break;
                case 2:
                var i2 = i;
                var temp2 = new Option(list.options[i].text, list.options[i].value);
                break;
            }
        }
    }
    if (j == 2) {
        list.options[i1] = temp2;
        list.options[i1].selected = true;
        list.options[i2] = temp;
        list.options[i2].selected = true;
    }
}

function addToList(list,from) {
    var len = list.options.length;
    if (len == 1 && list.options[0].value == '0') {
        list.options[0] = null;
        len = 0;
    }
    var found = false;
    var val = '';
    var name = '';
    var j = 0;
    for (var i =0; i < from.player.length; i++) {
        if (from.player[i].checked) {
            found = false;
            val = from.player[i].value;
            j = val.indexOf(',');
            name = val.substr(j+1);
            val = val.substr(0, j);
            for (j = 0; j < list.options.length; j++) {
                if (list.options[j].value == val) {
                    found = true;
                    break;
                }
            }
            if (!found) {
                name = (len+1)+". "+name;
                list.options[len] = new Option(name, val);
                len++;
            }
            from.player[i].checked=false;
        }
    }
}

function view(list, url) {
    for (var i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            window.open(url+list.options[i].value+".html", "draftWindow");
            break;
        }
    }
}


function remove(list) {
    var found;
    var text;
    var j;
    var who;
    var fcnt=0;
    for (var i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            var message="Really remove "+list.options[i].text+"?";
            //var choice=confirm(message);
            var choice=true;
            if (choice===true) {
               list.options[i] = null;
               found=i;
               fcnt=fcnt+1;
            i--;
            }

        }
        if (i>=found) {        
        text = list.options[i].text;
        j = text.indexOf('.');
        who = text.substr(j+1);
        j = text.substr(0,j);
        text=(j-fcnt)+"."+who;
        temp = new Option(text, list.options[i].value);
        list.options[i]=temp;}
    }
}

function checkCount(elem, count) {
   var cnt=elem.options.length;
   if (cnt<count) {
     alert("You must vote for "+count+" players!");
     return false;
   }
   else if (cnt>count) {
     var test=confirm("You have voted for more than "+count+" players.  Additional players will be ignored.");
     if (test) {return true;}
      else {return false;}
   }
   else {
     return true;
   }
}

function moveList(fromElem, toElem) {
    toElem.value = '';
    for (var i=0; i<fromElem.options.length; i++) {
        if (toElem.value == '') {
            toElem.value =  fromElem.options[i].value;
        }
        else {
            toElem.value = toElem.value + '|' + fromElem.options[i].value;
        }
    }
    return true;
}

function pickPlayer(from,to) {
    var id = '';
    var j = 0;
    for (var i =0; i < from.player.length; i++) {
        if (from.player[i].checked) {
            if (id != '') {
                alert ('You can only pick one player!');
                return false;
            }
            id = from.player[i].value;
            j  = id.indexOf(',');
            id = id.substr(0, j);
        }
    }
    if (id == '') {
        alert ('Select a player first');
        return false;
    }
    to.value=id;
    return true;
}

function pickPlayerFromList(from,to) {
    var cnt=0;
    var id='';
    for (var i = 0; i < from.options.length; i++) {
        if(from.options[i].selected == true) {
            if (id != '') {
                alert ('You can only pick one player!');
                return false;
            }
            id = from.options[i].value;
        }
    }
    if (id == '') {
        alert ('Select a player first');
        return false;
    }
    to.value=id;
    return true;
}

function countDown(pickTime,nowTime,toName) {
    var dateFuture = new Date();
    var dateNow = new Date();
    var amount;
    var pickDelay=5;
    var to=document.getElementById(toName);

    dateFuture.setTime(pickTime);
    dateNow.setTime(nowTime);
    
    amount = dateFuture.getTime() - dateNow.getTime();
    delete dateNow;

    if (amount <= (-1*pickDelay)) {
      to.innerHTML="<b>Next pick due in:</b> <span style='color:red;'>AUTO PICK IN PROGRESS!</span>";
      setTimeout("location.href='./draftReport.php'", pickDelay*1000);
    }
    else if (amount <= 0) {
      to.innerHTML="<b>Next pick due in:</b> <span style='color:red;'>Auto picking in "+(pickDelay-Math.floor(Math.abs(amount)/1))+" seconds!</span>";
      setTimeout("countDown('"+pickTime+"','"+(parseInt(nowTime)+1)+"','"+toName+"')", 1000);
    }
    else {
      var days=0;
      var hours=0;
      var mins=0;
      var secs=0;
      var redAlert=0;
      var out="<b>Next pick due in:</b> ";
      
      days = Math.floor(amount/86400);
      amount = amount%86400;

      hours = Math.floor(amount/3600);
      amount = amount%3600;
      if ((hours<2)&&(days==0)) {redAlert=1;}

      mins = Math.floor(amount/60);
      amount = amount%60;

      secs = Math.floor(amount);

      if (redAlert==1) {out += "<span style='color:red;'>";}
      if(days != 0) {out += days +" day"+((days!=1)?"s":"")+", ";}
      if(days != 0 || hours != 0) {out += hours +" hour"+((hours!=1)?"s":"")+", ";}
      if(days != 0 || hours != 0 || mins != 0) {out += mins +" minute"+((mins!=1)?"s":"")+", ";}
      out += secs +" seconds";
      if (redAlert==1) {out += "</span>";}
      to.innerHTML=out;

      setTimeout("countDown('"+pickTime+"','"+(parseInt(nowTime)+1)+"','"+toName+"')", 1000);
    }
}
