<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");

ini_set("memory_limit","64M");

##### Get Report Settings #####
$view=$_GET['view'];
$dyear=$_GET['year'];
$dyear2=$_GET['year2'];
$dround=$_GET['round'];
$dround2=$_GET['round2'];
$drafted_by=$_GET['drafted_by'];
if ($drafted_by=="") {$drafted_by="ALL";}
$curTeam=$_GET['current_team'];
if ($curTeam=="") {$curTeam="ALL";}
$curOrg=$_GET['current_org'];
if ($curOrg=="") {$curOrg="ALL";}

$dAgeBool=$_GET['dAgeBool'];
if ($dAgeBool=="") {$dAgeBool='upto';}
$dAge=$_GET['dAge'];
$cAgeBool=$_GET['cAgeBool'];
if ($cAgeBool=="") {$cAgeBool='upto';}
$cAge=$_GET['cAge'];

$pos=$_GET['position'];
$stat=$_GET['stat'];
$minPT=$_GET['minPT'];
if ($minPT=="") {$minPT=0;}

##### Start Page #####
$title="Draft History";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Career Metrics");

echo " </div>   <!-- END topbar DIV -->\n";

echo "<div id='contentpane'>\n";

##### Display Filters #####
echo " <div class='textbox'>\n";
echo "  <form method='get' action='draftHist.php' style='clear:left;'>\n";
echo "  <table cellspacing=0 cellpadding=2 border=0>\n";
echo "   <tr class='title'><td colspan=10>Filters</td></tr>\n";
echo "   <tr>\n";

## Show Type Selection
echo "     <td style='border-bottom:1px solid gray;'><label><b>Utility:</b></label></td>";
echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' value='dhist' id='dhist'";
if ($view=='dhist') {echo " checked='checked'";}
echo "onclick=\"window.location='./draftHist.php?view=dhist'\"></td>";
echo "     <td style='border-bottom:1px solid gray;'><label for='dhist'>Draft History</label></td>";
echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' value='danalyze' id='danalyze'";
if ($view=='danalyze') {echo " checked='checked'";}
echo "onclick=\"window.location='./draftHist.php?view=danalyze'\"></td>";
echo "     <td style='border-bottom:1px solid gray;'><label for='danalyze'>Draft Analyzer</label></td>";

switch ($view)
 {
   case 'dhist':
     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show Year Filter
     $query="SELECT DISTINCT(draft_year) as year FROM players WHERE draft_league_id=$lgid AND draft_year!=0 ORDER BY year;";
     $result=mysql_query($query,$db);
     echo "    <td><label for='year'><b>Year:</b></label></td>\n";
     if (mysql_num_rows($result))
      {
        while ($row=mysql_fetch_array($result))
	 {
           $yr=$row['year'];
	   $years[$yr]=1;
	 }
        echo "    <td colspan=3>\n";
        echo "     <select name='year'>\n";
        foreach ($years as $yr => $val)
         {
           echo "      <option value='$yr'";
           if ($dyear==$yr) {echo " selected";}
           echo ">$yr</option>\n";
         }
	echo "     </select>\n";
   	echo "    </td>\n";
      }
      else {echo "    <td>No years available</td>\n";}
     break;
   case 'danalyze':
     echo "    <td style='border-bottom:1px solid gray;' colspan=2>&nbsp;</td>\n";
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show Year Filter
     $query="SELECT DISTINCT(draft_year) as year FROM players WHERE draft_league_id=$lgid AND draft_year!=0 ORDER BY year;";
     $result=mysql_query($query,$db);
     echo "    <td><label for='year'><b>Draft Year:</b></label></td>\n";
     if (mysql_num_rows($result))
      {
        while ($row=mysql_fetch_array($result))
	 {
           $yr=$row['year'];
	   $years[$yr]=1;
	   $maxYr=max($maxYr,$yr);
	 }
        echo "    <td>\n";
        echo "     <select name='year'>\n";
        foreach ($years as $yr => $val)
         {
           echo "      <option value='$yr'";
           if ($dyear==$yr) {echo " selected";}
           echo ">$yr</option>\n";
         }
	echo "     </select>\n";
   	echo "    </td>\n";
        echo "    <td><label for='year2'>through</label></td>\n";
        echo "    <td>\n";
        echo "     <select name='year2'>\n";
        foreach ($years as $yr => $val)
         {
           echo "      <option value='$yr'";
           if (($dyear2==$yr)||(($dyear2=="")&&($maxYr==$yr))) {echo " selected";}
           echo ">$yr</option>\n";
         }
	echo "     </select>\n";
   	echo "    </td>\n";
      }
      else {echo "    <td>No years available</td>\n";}

     ## Get Current Teams
     $query="SELECT team_id,name,nickname,abbr,level FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $tid=$row['team_id'];
        $teams[$tid]['name']=$row['name']." ".$row['nickname'];
        $teams[$tid]['abbr']=$row['abbr'];
        $teams[$tid]['level']=$row['level'];
        $teams[$tid]['city']=$row['name'];
        $LGtmList.=",$tid";
      }
     $LGtmList=trim($LGtmList,",");
     ## Get Historical Teams
     $query="SELECT * FROM (SELECT team_id,name,nickname FROM team_history WHERE league_id=$lgid ORDER BY year DESC) as t GROUP BY team_id;";
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result))
      {
        while ($row=mysql_fetch_array($result))
         {
           $tid=$row['team_id'];
	   if (!isset($teams[$tid]['name']))
	    {
	      $hteams[$tid]['name']=$row['name']." ".$row['nickname'];
	      $hteams[$tid]['abbr']=$row['abbr'];
	      $hteams[$tid]['city']=$row['name'];
	    }
	 }
      }

     ## Show Drafted By Filter
     echo "    <td>&nbsp;</td>\n";
     echo "    <td><b>Drafted by:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='drafted_by'>\n";
     echo "      <option value='ALL'>All Teams</option>\n";
     if (isset($hteams)) {echo "      <optgroup label='Active Teams'>";}
     foreach ($teams as $tid => $val)
      {
        echo "      <option value='$tid'";
        if ($drafted_by==$tid) {echo " selected";}
        echo ">".$teams[$tid]['name']."</option>\n";
      }
     if (isset($hteams))
      {
        echo "      <optgroup label='Inactive Teams'>";
        foreach ($hteams as $tid => $val)
         {
           echo "      <option value='$tid'";
           if ($drafted_by==$tid) {echo " selected";}
           echo ">".$teams[$tid]['name']."</option>\n";
	 }
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";


     ## Show Round Filter
     $query="SELECT DISTINCT(draft_round) as round FROM players WHERE draft_league_id=$lgid AND draft_year!=0 ORDER BY round;";
     $result=mysql_query($query,$db);
     echo "    <td><label for='round'><b>Draft Round:</b></label></td>\n";
     if (mysql_num_rows($result))
      {
        while ($row=mysql_fetch_array($result))
	 {
           $rnd=$row['round'];
	   $rounds[$rnd]=1;
	   $maxRnd=max($maxRnd,$rnd);
	 }
        echo "    <td>\n";
        echo "     <select name='round'>\n";
        foreach ($rounds as $rnd => $val)
         {
           echo "      <option value='$rnd'";
           if ($dround==$rnd) {echo " selected";}
           echo ">$rnd</option>\n";
         }
	echo "     </select>\n";
   	echo "    </td>\n";
        echo "    <td><label for='round2'>through</label></td>\n";
        echo "    <td>\n";
        echo "     <select name='round2'>\n";
        foreach ($rounds as $rnd => $val)
         {
           echo "      <option value='$rnd'";
           if (($dround2==$rnd)||(($dround2=="")&&($rnd==$maxRnd))) {echo " selected";}
           echo ">$rnd</option>\n";
         }
	echo "     </select>\n";
   	echo "    </td>\n";
      }
     else {echo "    <td>No rounds available</td>\n";}

     ## Show Current Team Filter
     echo "    <td>&nbsp;</td>\n";
     echo "    <td><b>Current Team (majors):</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='current_team' onchange=\"if(this[this.selectedIndex].value!='ALL') {document.getElementById('current_org').selectedIndex=0;}\">\n";
     echo "      <option value='ALL'>All Teams</option>\n";
     foreach ($teams as $tid => $val)
      {
        echo "      <option value='$tid'";
        if ($curTeam==$tid) {echo " selected";}
        echo ">".$teams[$tid]['name']."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show Current Organization Filter
     echo "    <td colspan=5>&nbsp;</td>\n";
     echo "    <td><b>Current Organization (all levels):</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='current_org' onchange=\"if(this[this.selectedIndex].value!='ALL') {document.getElementById('current_team').selectedIndex=0;}\">\n";
     echo "      <option value='ALL'>All Teams</option>\n";
     foreach ($teams as $tid => $val)
      {
        echo "      <option value='$tid'";
        if ($curOrg==$tid) {echo " selected";}
        echo ">".$teams[$tid]['name']."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";
     
     ## Show draft age filter
     echo "    <td><label><b>Draft Year Age:<b></label></td>\n";
     echo "    <td colspan=4><table cellpadding=2 cellspacing=0 border=0 width='100%'><tr>\n";
     echo "     <td><input type='radio' name='dAgeBool' value='upto' id='dupto'";
     if ($dAgeBool=='upto') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='dupto'>Through</label></td>\n";
     echo "     <td><input type='radio' name='dAgeBool' value='after' id='dafter'";
     if ($dAgeBool=='after') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='dafter'>After</label></td>\n";
     echo "     <td><input type='radio' name='dAgeBool' value='equal' id='dequal'";
     if ($dAgeBool=='equal') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='dequal'>Equals</label></td>\n";
     echo "    </tr></table></td>\n";
     echo "    <td><b>Age:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='dAge'>\n";
     echo "      <option value='All'>All</option>\n";
     for ($i=15;$i<=45;$i++)
      {
        echo "      <option value='$i'";
        if ($i==$dAge) {echo " selected";}
        echo ">".$i."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show current age filter
     echo "    <td><label><b>Current Age:<b></label></td>\n";
     echo "    <td colspan=4><table cellpadding=2 cellspacing=0 border=0 width='100%'><tr>\n";
     echo "     <td><input type='radio' name='cAgeBool' value='upto' id='cupto'";
     if ($cAgeBool=='upto') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='cupto'>Through</label></td>\n";
     echo "     <td><input type='radio' name='cAgeBool' value='after' id='cafter'";
     if ($cAgeBool=='after') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='cafter'>After</label></td>\n";
     echo "     <td><input type='radio' name='cAgeBool' value='equal' id='cequal'";
     if ($cAgeBool=='equal') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='cequal'>Equals</label></td>\n";
     echo "    </tr></table></td>\n";
     echo "    <td><b>Age:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='cAge'>\n";
     echo "      <option value='All'>All</option>\n";
     for ($i=15;$i<=45;$i++)
      {
        echo "      <option value='$i'";
        if ($i==$cAge) {echo " selected";}
        echo ">".$i."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";
     
     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show position filter
     echo "    <td colspan=5>&nbsp;</td>\n";
     echo "    <td><b>Position:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='position'>\n";
     echo "      <option value='All'>All</option>\n";
     $posArray=array('P','C','1B','2B','3B','SS','LF','CF','RF','DH','SP','RP','IF','CI','MI','OF');
     for ($i=0;$i<count($posArray);$i++)
      {
        $idx=$i+1;
        echo "      <option value='$idx'";
     	if ($idx==$pos) {echo " selected";}
	echo ">".$posArray[$i]."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";
     
     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show stat filter
     echo "    <td colspan=3><label><b>Min PA/IP For Rate Stats:</b></label></td>\n";
     echo "    <td colspan=1><input type='text' size=4 maxlength=4 name='minPT' value='$minPT'></td>\n";
     echo "    <td colspan=1>&nbsp;</td>\n";
     echo "    <td><b>Stat:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='stat'>\n";
     $statArray=array('batters'=>'Batters','ab'=>'AB','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','r'=>'R','sb'=>'SB','cs'=>'CS','bb'=>'BB','k'=>'K','sf'=>'SF','sh'=>'SH','ibb'=>'IBB','hp'=>'HBP','gdp'=>'GIDP','pa'=>'PA','outs'=>'Outs','ebh'=>'EBH','tb'=>'TB','tob'=>'TOB','tto'=>'TTO','pitches_seen'=>'Pitches Seen','pipa'=>'PS/PA','abhr'=>'AB/HR','pahr'=>'PA/HR','bbk'=>'BB/K','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','iso'=>'ISO','bbabip'=>'BABIP','wOBA'=>'wOBA','vorp'=>'VORP','adj_ops_plus'=>'OPS+','EqR'=>'EqR','EqA'=>'EqA','pwrspd'=>'PwrSpd','rc'=>'RC','rc27'=>'RC/27','ows'=>'OWS','pitchers'=>'Pitchers','w'=>'W','l'=>'L','s'=>'SV','ip'=>'IP','g'=>'G','gs'=>'GS','gf'=>'GF','cg'=>'CG','sho'=>'SHO','qs'=>'QS','pk'=>'K','pbb'=>'BB','ha'=>'HA','hra'=>'HR','r'=>'R','er'=>'ER','hld'=>'HLD','svo'=>'SVO','bs'=>'BS','da'=>'2BA','ta'=>'3BA','bk'=>'BK','wp'=>'WP','hp'=>'HP','bf'=>'BF','ptto'=>'TTO','pi'=>'Pitches Thrown','era'=>'ERA','whip'=>'WHIP','pvorp'=>'VORP','kper9'=>'K/9IP','bbper9'=>'BB/9IP','hper9'=>'H/9IP','rper9'=>'R/9IP','hrper9'=>'HR/9IP','kperbb'=>'K/BB','babip'=>'BABIP','wpct'=>'Win %','gmovr500'=>'Gms Over .500','adj_era_plus'=>'ERA+','cERA'=>'ERC','pws'=>'PWS','fielders'=>'Fielding','fgs'=>'GS','po'=>'PO','a'=>'A','dp'=>'DP','tp'=>'TP','tc'=>'TC','e'=>'E','fip'=>'Inn','pct'=>'Pct','rng'=>'Range','pb'=>'PB','sba'=>'RSTA','rto'=>'RTO','rtoPct'=>'RTO%','fws'=>'FWS','career'=>'Career','bink'=>'Black Ink','gink'=>'Gray Ink','hofstand'=>'HOF Standards','wsTot'=>'Total WS');
     foreach ($statArray as $key => $val)
      {
        if (($key=='batters')||($key=='pitchers')||($key=='fielders')||($key=='career')) {echo "      <optgroup label='$val'>\n";}
         else
         {
           echo "      <option value='$key'";
	   if ($key==$stat) {echo " selected";}
	   echo ">".$val."</option>\n";
	 }
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";
     echo "    <td colspan=6>&nbsp;</td>\n";
     break;
 }

##### Close Form #####
if ($view!="")
 {
   ## Submission button
   echo "    <td><input type='submit' value='Go'></input></td>\n";
 }
echo "   </tr>\n";
echo "  </table>\n";
echo "  </form>\n";
echo " </div>\n";


switch ($view)
 {
   case 'dhist':
     if ($dyear=="") {break;}
	
     ## Get Number of Teams
     $query="SELECT COUNT(DISTINCT(draft_team_id)) as nteams,draft_year FROM players WHERE draft_league_id=$lgid AND draft_year=$dyear GROUP BY draft_year;";
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $yr=$row['draft_year'];
	$numTeams=$row['nteams'];
      }

     ## Get Draftees
     $query="SELECT player_id,position,first_name,last_name,retired,draft_round,draft_pick,draft_team_id,organization_id,team_id FROM players WHERE draft_league_id=$lgid AND draft_year=$dyear ORDER BY draft_round,draft_pick;";
     if ($_GET['showq']==1) {echo $query;}
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result))
      {
        $pidList="";
        while ($row=mysql_fetch_array($result))
	 {
           $pid=$row['player_id'];
	   $players[$pid]['name']=$row['first_name']." ".$row['last_name'];
	   $players[$pid]['pos']=$row['position'];
	   $players[$pid]['ret']=$row['retired'];
	   $dround=$row['draft_round'];
	   $dpick=$row['draft_pick'];
	   $dteam=$row['draft_team_id'];
	   $tid=$row['team_id'];
	   $orgid=$row['organization_id'];
	   $players[$pid]['drafted_by']=$dteam;
	   $players[$pid]['team_id']=$tid;
	   $players[$pid]['org_id']=$orgid;
	   $rounds[$dround][$dpick]=$pid;
	   if ($row['position']==1) {$pPidList.=",$pid";} else {$bPidList.=",$pid";}
	 }
	$pPidList=trim($pPidList,",");
	$bPidList=trim($bPidList,",");

	## Get Team Names
        $query="SELECT team_id,name,nickname,level,abbr FROM teams ORDER BY team_id;";
	$result=mysql_query($query,$db);
	while ($row=mysql_fetch_array($result))
	 {
  	   $tid=$row['team_id'];
	   $teams[$tid]['name']=$row['name']." ".$row['nickname'];
	   $teams[$tid]['lvl']=get_level($row['level']);
	   $teams[$tid]['abbr']=$row['abbr'];
	   $teams[$tid]['city']=$row['name'];
	 }

	if ($dyear!=$lgyear)
	 {
 	   $query="SELECT team_id,name,nickname,abbr FROM team_history WHERE year=$dyear ORDER BY team_id;";
	   $result=mysql_query($query,$db);
	   while ($row=mysql_fetch_array($result))
	    {
	      $tid=$row['team_id'];
	      $dteams[$tid]['name']=$row['name']." ".$row['nickname'];
  	      $dteams[$tid]['abbr']=$row['abbr'];
	      $dteams[$tid]['city']=$row['name'];
	    }
	 }

	## Check for Win Shares
	$showWS=0;
	$query="SHOW TABLES LIKE 'players_win_shares';";
	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	 {
	   $query="SELECT player_id,SUM(wsTot) as ws FROM players_win_shares WHERE player_id IN ($pPidList) OR player_id IN ($bPidList) GROUP BY player_id;";
	   $result=mysql_query($query,$db);
	   if (mysql_num_rows($result))
	    {
  	      $showWS=1;
              while ($row=mysql_fetch_array($result))
	       {
                 $pid=$row['player_id'];
		 $players[$pid]['ws']=sprintf("%.1f",$row['ws']);
	       }
	    }
 	 }
	
	## Get Career Batting Stats
	$query="SELECT player_id,SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(hr) as hr,SUM(sb) as sb,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as slg";
	$query.=" FROM players_career_batting_stats";
	$query.=" WHERE player_id IN ($bPidList) AND league_id=$lgid AND split_id=1";
	$query.=" GROUP BY player_id;";
        $result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	 {
	   while ($row=mysql_fetch_array($result))
	    {
	      $pid=$row['player_id'];
	      $g=$row['g'];
	      $ab=$row['ab'];
	      $h=$row['h'];
	      $hr=$row['hr'];
	      $sb=$row['sb'];
	      $avg=$row['avg'];
	      $obp=$row['obp'];
	      $slg=$row['slg'];
	      $ops=$obp+$slg;

	      if ($avg<1) {$avg=strstr(sprintf("%.3f",$avg),".");}
	       else {$avg=sprintf("%.3f",$avg);}
	      if ($obp<1) {$obp=strstr(sprintf("%.3f",$obp),".");}
       	       else {$obp=sprintf("%.3f",$obp);}
	      if ($slg<1) {$slg=strstr(sprintf("%.3f",$slg),".");}
       	       else {$slg=sprintf("%.3f",$slg);}
	      if ($ops<1) {$ops=strstr(sprintf("%.3f",$ops),".");}
       	       else {$ops=sprintf("%.3f",$ops);}

	      $players[$pid]['g']=$g;
	      $players[$pid]['ab']=$ab;
	      $players[$pid]['h']=$h;
	      $players[$pid]['hr']=$hr;
	      $players[$pid]['sb']=$sb;
	      $players[$pid]['avg']=$avg;
	      $players[$pid]['obp']=$obp;
	      $players[$pid]['slg']=$slg;
	      $players[$pid]['ops']=$ops;
	    }
	 }

	## Get Career Pitching Stats
	$query="SELECT player_id,SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,SUM(k) as k,(3*SUM(ip)+SUM(ipf))/3 as ip,if((3*SUM(ip)+SUM(ipf))/3=0,0,9*SUM(er)/((3*SUM(ip)+SUM(ipf))/3)) as era,if((3*SUM(ip)+SUM(ipf))/3=0,0,(SUM(ha)+SUM(bb))/((3*SUM(ip)+SUM(ipf))/3)) as whip";
	$query.=" FROM players_career_pitching_stats";
	$query.=" WHERE player_id IN ($pPidList) AND league_id=$lgid AND split_id=1";
	$query.=" GROUP BY player_id;";
        $result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	 {
	   while ($row=mysql_fetch_array($result))
	    {
	      $pid=$row['player_id'];
	      $g=$row['g'];
	      $gs=$row['gs'];
	      $ip=$row['ip'];
	      $w=$row['w'];
	      $l=$row['l'];
	      $s=$row['s'];
	      $k=$row['k'];
	      $era=$row['era'];
	      $whip=$row['whip'];

              $ip=sprintf("%.1f",$ip);
              if ($ip<1) {$ip=strstr($ip,".");}
              $era=sprintf("%.2f",$era);
              $whip=sprintf("%.2f",$whip);
              if ($whip<1) {$whip=strstr($whip,".");}

	      $players[$pid]['g']=$g;
	      $players[$pid]['gs']=$gs;
	      $players[$pid]['ip']=$ip;
	      $players[$pid]['w']=$w;
	      $players[$pid]['l']=$l;
	      $players[$pid]['s']=$s;
	      $players[$pid]['k']=$k;
	      $players[$pid]['era']=$era;
	      $players[$pid]['whip']=$whip;
	    }
	 }

	## Display Draft
	echo " <div class='textbox'>\n";
	echo "  <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
	foreach ($rounds as $dround => $val)
	 {
           echo "   <tr class='title'><td colspan=20>Round $dround</td></tr>\n";
	   echo "   <tr class='headline'><td class='hsc2' width='30px'>Rnd</td><td class='hsc2' width='30px'>Pick</td><td class='hsc2' width='30px'>Ovr</td><td class='hsc2_l'>Drafted By</td><td class='hsc2' width='30px'>Pos</td><td class='hsc2_l'>Player</td>";
	   echo "<td class='hsc2' width='40px'>G</td><td class='hsc2' width='40px'>AB</td><td class='hsc2' width='40px'>H</td><td class='hsc2' width='40px'>HR</td><td class='hsc2' width='40px'>SB</td><td class='hsc2' width='40px'>AVG</td><td class='hsc2' width='40px'>OBP</td><td class='hsc2' width='40px'>SLG</td><td class='hsc2' width='40px'>OPS</td>";
	   if ($showWS==1) {echo "<td class='hsc2' width='40px'>WS</td>";}
	   echo "<td class='hsc2_l'>Current Team</td>";
	   echo "</tr>\n";
	   echo "   <tr class='headline'><td class='hsc2' colspan=6>&nbsp;</td><td class='hsc2'>G</td><td class='hsc2'>GS</td><td class='hsc2'>W</td><td class='hsc2'>L</td><td class='hsc2'>SV</td><td class='hsc2'>IP</td><td class='hsc2'>K</td><td class='hsc2'>ERA</td><td class='hsc2'>WHIP</td>";
	   if ($showWS==1) {echo "<td class='hsc2'>WS</td>";}
	   echo "<td class='hsc2' colspan=1>&nbsp;</td></tr>\n";
	   $rcnt=0;
	   foreach ($rounds[$dround] as $dpick => $pid)
	    {
  	      $tid=$players[$pid]['team_id'];
	      $team="<a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['abbr']."</a>";
	      $lvl=$teams[$tid]['lvl'];
	      if ($lvl!="ML")
	       {
	         $orgid=$players[$pid]['org_id'];
  	         $team.=" (<a href='$lgpath/teams/team_$orgid.html'>".$teams[$orgid]['abbr']."</a>-".$lvl.")";
	       }
	      $dtid=$players[$pid]['drafted_by'];
	      if ($dyear!=$lgyear) {$dteam=$dteams[$dtid]['abbr'];} else {$dteam=$teams[$dtid]['abbr'];}
	      $ovr=$numTeams*($dround-1)+$dpick;

	      $cls='s'.($rcnt%2+1);
	      echo "   <tr class='$cls'>";
	      echo "<td>$dround</td><td>$dpick</td><td>".$ovr."</td>";
	      echo "<td class='".$cls."_l'><a href='$lgpath/teams/team_$dtid.html'>$dteam</a></td>";
	      echo "<td>".get_pos($players[$pid]['pos'])."</td>";
	      echo "<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	      if ($players[$pid]['pos']==1)
	       {
                 if (isset($players[$pid]['ip']))
		  {
  		    echo "<td>".$players[$pid]['g']."</td>";
		    echo "<td>".$players[$pid]['gs']."</td>";
   		    echo "<td>".$players[$pid]['w']."</td>";
		    echo "<td>".$players[$pid]['l']."</td>";
   		    echo "<td>".$players[$pid]['s']."</td>";
		    echo "<td>".$players[$pid]['ip']."</td>";
   		    echo "<td>".$players[$pid]['k']."</td>";
		    echo "<td>".$players[$pid]['era']."</td>";
		    echo "<td>".$players[$pid]['whip']."</td>";
		    if ($showWS==1) {echo "<td>".$players[$pid]['ws']."</td>";}
		  }
		  else 
		  {
		    echo "<td colspan=9 align='center'>- Yet to reach majors -</td>";
		    if ($showWS==1) {echo "<td>&nbsp;</td>";}
		  }
	       }
	       else
	       {
                 if (isset($players[$pid]['ab']))
		  {
  		    echo "<td>".$players[$pid]['g']."</td>";
		    echo "<td>".$players[$pid]['ab']."</td>";
   		    echo "<td>".$players[$pid]['h']."</td>";
		    echo "<td>".$players[$pid]['hr']."</td>";
   		    echo "<td>".$players[$pid]['sb']."</td>";
		    echo "<td>".$players[$pid]['avg']."</td>";
   		    echo "<td>".$players[$pid]['obp']."</td>";
		    echo "<td>".$players[$pid]['slg']."</td>";
		    echo "<td>".$players[$pid]['ops']."</td>";
		    if ($showWS==1) {echo "<td>".$players[$pid]['ws']."</td>";}
		  }
		  else 
		  {
		    echo "<td colspan=9 align='center'>- Yet to reach majors -</td>";
		    if ($showWS==1) {echo "<td>&nbsp;</td>";}
		  }
	       }
	      if ($players[$pid]['ret']==1) {echo "<td class='".$cls."_l'>Retired</td>";}
	       elseif (($tid=="")||($tid==0)) {echo "<td class='".$cls."_l'>No team</td>";}
	       else {echo "<td class='".$cls."_l'>$team</a></td>";}
	      echo "<tr>\n";
	      $rcnt++;
	    }
	 }
	echo "  </table>\n";
	echo " </div>\n";
      }
      else {echo " <div class='textbox'>No draftees in $dyear</div>\n";break;}
     break;
   case 'danalyze':
     if (!isset($_GET['stat'])) {break;}

     ## Get Minor League Team Names
     $query="SELECT team_id,name,nickname,level,abbr FROM teams WHERE league_id!=$lgid ORDER BY team_id;";
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $tid=$row['team_id'];
	$teams[$tid]['name']=$row['name']." ".$row['nickname'];
	$teams[$tid]['level']=get_level($row['level']);
	$teams[$tid]['abbr']=$row['abbr'];
      }
	     
     ## Get Number of Teams
     $query="SELECT COUNT(DISTINCT(draft_team_id)) as nteams,draft_year FROM players WHERE draft_league_id=$lgid AND draft_year!=0 GROUP BY draft_year;";
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $yr=$row['draft_year'];
	$numTeams[$yr]=$row['nteams'];
	
      }

     ##### For Catcher Specific Fielding Stats, get players with min innings at catcher #####
     if ($stat=='rtoPct')
      {
        $query="SELECT player_id,(3*SUM(ip)+SUM(ipf))/3 as cInn FROM players_career_fielding_stats WHERE position=2 AND league_id=$lgid AND split_id=0 GROUP BY player_id ORDER BY cInn DESC;";
	$result=mysql_query($query,$db);
     	if (mysql_num_rows($result))
	 {
	   while ($row=mysql_fetch_array($result))
	    {
	      $pid=$row['player_id'];
	      $inn=$row['cInn'];
   	      if ($inn>=$minPT) {$cList.=",$pid";}
	    }
	 }
      }
     $cList=trim($cList,",");

     ## Get Players to Include
     $query="SELECT p.player_id,first_name,last_name,team_id,organization_id,retired,draft_team_id,draft_year,draft_round,draft_pick";
     $query.=",(draft_year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as draft_age,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as current_age";
     if ($pos!="All") {$query.=",if(pci.position=1,p.role,pci.position) as position";} else {$query.=",if(p.position=1,p.role,p.position) as position";}
     $query.=" FROM players as p";
     if ($pos!="All") {$query.=",players_career_info as pci";}
     $query.=" WHERE draft_league_id=$lgid";
     if ($pos!="All") {$query.=" AND p.player_id=pci.player_id AND pci.league_id=$lgid";}
     if (($pos!="All")&&($stat!='fgs')&&($stat!='po')&&($stat!='a')&&($stat!='a')&&($stat!='dp')&&($stat!='tp')&&($stat!='e')&&($stat!='fip')&&($stat!='pct')&&($stat!='rng')&&($stat!='pb')&&($stat!='sba')&&($stat!='rto')&&($stat!='rtoPct')&&($stat!='fws'))
      {
        $posArray=array('P','C','1B','2B','3B','SS','LF','CF','RF','DH','SP','RP','IF','CI','MI','OF');
	switch ($pos)
	 {
	   case '11':
	     $query.=" AND pci.position=1 AND p.role=11";
	     break;
	   case '12':
	     $query.=" AND pci.position=1 AND (p.role=12 OR p.role=13)";
	     break;
	   case '13':
	     $query.=" AND (pci.position=3 OR pci.position=4 OR pci.position=5 OR pci.position=6)";
	     break;
	   case '14':
	     $query.=" AND (pci.position=3 OR pci.position=5)";
	     break;
	   case '15':
	     $query.=" AND (pci.position=4 OR pci.position=6)";
	     break;
	   case '16':
	     $query.=" AND (pci.position=7 OR pci.position=8 OR pci.position=9)";
	     break;
	   default:
	     $query.=" AND pci.position=$pos";
	     break;
	 }
      }
     $query.=" AND draft_year>=$dyear AND draft_year<=$dyear2";
     $query.=" AND draft_round>=$dround AND draft_round<=$dround2";
     if ($drafted_by!="ALL") {$query.=" AND draft_team_id=$drafted_by";}
     if ($curTeam!="ALL") {$query.=" AND team_id=$curTeam";}
     if ($curOrg!="ALL") {$query.=" AND organization_id=$curOrg";}
     if ($dAge!="All")
      {
        $query.=" AND (draft_year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01'))";
	switch($dAgeBool)
	 {
	   case 'upto' : $query.="<="; break;
	   case 'after': $query.=">="; break;
	   case 'equal': $query.="=";  break;
	 }
     	$query.=$dAge;
      }
     if ($cAge!="All")
      {
        $query.=" AND ($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01'))";
	switch($cAgeBool)
	 {
	   case 'upto' : $query.="<="; break;
	   case 'after': $query.=">="; break;
	   case 'equal': $query.="=";  break;
	 }
     	$query.=$cAge;
      }
     if ($stat=='rtoPct') {$query.=" AND p.player_id IN ($cList)";}

     if ($_GET['showq']==1) {echo $query;}

     $result=mysql_query($query,$db);
     if (!mysql_num_rows($result))
      {
        echo " <div class='textbox'>No players found</div>";
        break;
      }
      else
      {
        $pidList="";
        while ($row=mysql_fetch_array($result))
         {
 	   $pid=$row['player_id'];
	   $players[$pid]['name']=$row['first_name']." ".$row['last_name'];
	   $players[$pid]['sortname']=$row['last_name'].", ".$row['first_name'];
	   $players[$pid]['pos']=$row['position'];
	   $players[$pid]['team_id']=$row['team_id'];
	   $players[$pid]['organization_id']=$row['organization_id'];
	   $players[$pid]['draft_team_id']=$row['draft_team_id'];
	   $players[$pid]['draft_year']=$row['draft_year'];
	   $players[$pid]['draft_round']=$row['draft_round'];
	   $players[$pid]['draft_pick']=$row['draft_pick'];
	   $players[$pid]['ret']=$row['retired'];
	   $players[$pid]['draft_age']=$row['draft_age'];
	   $players[$pid]['current_age']=$row['current_age'];
	   $pidList.=",$pid";
	 }
	$pidList=trim($pidList,",");
      }

     ## Get Career Stats For Players
     $query="SELECT player_id";
     switch ($stat)
      {
        case 'avg':
          $query.=",IF(SUM(pa)<$minPT,0,if(SUM(ab)=0,0,SUM(h)/SUM(ab))) as stat";
          break;
        case 'obp':
          $query.=",IF(SUM(pa)<$minPT,0,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as stat";
          break;
        case 'slg':
          $query.=",IF(SUM(pa)<$minPT,0,if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))) as stat";
          break;
        case 'ops':
          $query.=",IF(SUM(pa)<$minPT,0,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))+(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))) as stat";
          break;
        case 'wOBA':
          $query.=",IF(SUM(pa)<$minPT,0,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa))) as stat";
	  break;
        case 'outs':
          $query.=",SUM(ab)-SUM(h)+SUM(cs)+SUM(sh)+SUM(sf) as stat";
	  break;
        case 'ebh':
          $query.=",SUM(d)+SUM(t)+SUM(hr) as stat";
	  break;
        case 'tb':
          $query.=",SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr) as stat";
	  break;
        case 'tob':
          $query.=",SUM(h)+SUM(bb)+SUM(hp) as stat";
	  break;
        case 'tto':
          $query.=",SUM(hr)+SUM(k)+SUM(bb) as stat";
	  break;
        case 'pipa':
          $query.=",IF(SUM(pa)<$minPT,0,(SUM(pitches_seen)/SUM(pa))) as stat";
	  break;
        case 'abhr':
          $query.=",IF(SUM(pa)<$minPT,999,if(SUM(hr)=0,999,(SUM(ab)/SUM(hr)))) as stat";
	  break;
        case 'pahr':
          $query.=",IF(SUM(pa)<$minPT,999,if(SUM(hr)=0,999,(SUM(pa)/SUM(hr)))) as stat";
	  break;
        case 'bbk':
          $query.=",IF(SUM(pa)<$minPT,0,if(SUM(k)=0,0,SUM(bb)/SUM(k))) as stat";
	  break;
        case 'iso':
          $query.=",IF(SUM(pa)<$minPT,0,if(SUM(ab)=0,0,((SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)))) as stat";
	  break;
        case 'bbabip':
          $query.=",IF(SUM(pa)<$minPT,0,if((SUM(ab)-SUM(k)-SUM(hr)+SUM(sf))=0,0,(SUM(h)-SUM(hr))/(SUM(ab)-SUM(k)-SUM(hr)+SUM(sf)))) as stat";
	  break;
        case 'pwrspd':
          $query.=",IF(SUM(pa)<$minPT,0,if((SUM(hr)+SUM(sb))=0,0,(2*SUM(hr)*SUM(sb))/(SUM(hr)+SUM(sb)))) as stat";
	  break;
        case 'rc':
          $query.=",IF(SUM(pa)<$minPT,0,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sh)+SUM(sf))=0,0,((SUM(h)+SUM(bb)-SUM(cs)+SUM(hp)-SUM(gdp))*((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))+(0.26*(SUM(bb)-SUM(ibb)+SUM(hp)))+(.52*(SUM(sh)+SUM(sf)+SUM(sb)))))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sh)+SUM(sf)))) as stat";
	  break;
        case 'rc27':
          $query.=",IF(SUM(pa)<$minPT,0,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sh)+SUM(sf))=0,0,if((SUM(ab)-SUM(h)+SUM(cs)+SUM(sh)+SUM(sf))=0,0,27*(((SUM(h)+SUM(bb)-SUM(cs)+SUM(hp)-SUM(gdp))*((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))+(0.26*(SUM(bb)-SUM(ibb)+SUM(hp)))+(.52*(SUM(sh)+SUM(sf)+SUM(sb)))))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sh)+SUM(sf)))/(SUM(ab)-SUM(h)+SUM(cs)+SUM(sh)+SUM(sf))))) as stat";
	  break;
        case 'era':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(er)*9)/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'whip':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(ha)+SUM(bb))/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'kper9':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,0,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(k)*9)/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'bbper9':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(bb)*9)/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'hper9':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(ha)*9)/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'rper9':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(r)*9)/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'hrper9':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(hra)*9)/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'kperbb':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,0,if(SUM(bb)=0,0,SUM(k)/SUM(bb))) as stat";
          break;
        case 'babip':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,999,if((SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))=0,0,(SUM(ha)-SUM(hra))/(SUM(ab)-SUM(k)-SUM(hra)+SUM(sf)))) as stat";
	  break;
        case 'wpct':
          $query.=",SUM(w) as w,SUM(l) as l,IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,0,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,(SUM(w))/(SUM(w)+SUM(l)))) as stat";
          break;
        case 'gmovr500':
          $query.=",SUM(w) as w,SUM(l) as l,SUM(w)-SUM(l) as stat";
	  break;
        case 'ptto':
          $query.=",SUM(hra)+SUM(k)+SUM(bb) as stat";
	  break;
        case 'pct':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,0,if(SUM(tc)=0,0,(SUM(po)+SUM(a))/SUM(tc))) as stat";
          break;
        case 'rng':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,0,if(((3*SUM(ip)+SUM(ipf))/3)=0,0,9*(SUM(po)+SUM(a))/((3*SUM(ip)+SUM(ipf))/3))) as stat";
          break;
        case 'rtoPct':
          $query.=",IF(((3*SUM(ip)+SUM(ipf))/3)<$minPT,0,if(SUM(sba)=0,0,SUM(rto)/SUM(sba))) as stat";
          break;
        case 'ip':
        case 'fip':
          $query.=",((3*SUM(ip)+SUM(ipf))/3) as stat";
	  break;
	case 'pk':
	case 'pbb':
	case 'pvorp':
          $pstat=substr($stat,1);
          $query.=",SUM($pstat) as stat";
          break;
	case 'fgs':
          $pstat=substr($stat,1);
          $query.=",SUM($pstat) as stat";
          break;
        case 'bink':
          $query.=",black_ink as stat";
          break;
        case 'gink':
          $query.=",gray_ink as stat";
          break;
        case 'hofstand':
          $query.=",hof_standards as stat";
          break;
        case 'fws':
          switch ($pos)
           {
             case 2:
	     case 3:
     	     case 4:
	     case 5:
	     case 6:
	     case 7:
     	     case 8:
	     case 9:
   	       $pstat=$stat.$pos;
               break;
             default:
               $pstat=$stat.'Tot';
               break;
	   }
     	  $query.=",SUM(pcs.".$pstat.") as stat";
	  break;
        default:
          $query.=",SUM($stat) as stat";
          break;
      }
     switch ($stat)
      {
        case 'avg':
        case 'obp':
        case 'slg':
	case 'ops':
        case 'adj_ops_plus':
        case 'EqR':
        case 'EqA':
        case 'wOBA':
        case 'ab':
        case 'h':
        case 'd':
        case 't':
        case 'hr':
        case 'r':
        case 'rbi':
        case 'sb':
        case 'cs':
        case 'bb':
        case 'ibb':	
        case 'k':
        case 'sf':
        case 'sh':
        case 'gdp':
        case 'hp':
        case 'pa':
        case 'outs':
        case 'ebh':
        case 'tb':
        case 'tob':
        case 'tto':
        case 'pitches_seen':
        case 'pipa':
        case 'abhr':
        case 'pahr':
        case 'bbk':
        case 'iso':
        case 'bbabip':
        case 'pwrspd':
        case 'rc':
        case 'rc27':
	case 'vorp':
          $query.=",SUM(pa) as pt";
	  $query.=" FROM players_career_batting_stats as pcs";
	  $ptLabel="PA";
          break;
       	case 'fgs':
	case 'po':
     	case 'a':
	case 'dp':
     	case 'tp':
	case 'tc':
     	case 'e':
	case 'fip':
     	case 'pct':
	case 'rng':
	case 'pb':
	case 'sba':
	case 'rto':
	case 'rtoPct':
          $query.=",(SUM(ip)*3+SUM(ipf))/3 as pt";
	  $query.=" FROM players_career_fielding_stats as pcs";
     	  $ptLabel="Inn";
	  break;
        case 'bink':
        case 'gink':
        case 'hofstand':
          $query.=" FROM players_career_info as pcs";
          break;
        case 'ows':
	case 'pws':
    	case 'fws':
	case 'wsTot':
	  $query.=" FROM players_win_shares as pcs";
	  break;
	default:
          $query.=",(SUM(ip)*3+SUM(ipf))/3 as pt";
   	  $query.=" FROM players_career_pitching_stats as pcs";
	  $ptLabel="IP";
          break;
      }
     $query.=" WHERE player_id IN ($pidList)";
     if ($stat=='pipa') {$query.=" AND pitches_seen>0";}
     if (($stat!='bink')&&($stat!='gink')&&($stat!='hofstand')&&($stat!='ows')&&($stat!='pws')&&($stat!='fws')&&($stat!='wsTot')) {$query.=" AND split_id IN (1,0)";}
      else
      {
        switch ($stat)
         {
           case 'bink': $query.=" AND black_ink!=0"; break;
	   case 'gink': $query.=" AND gray_ink!=0"; break;
      	   case 'hofstand': $query.=" AND hof_standards!=0"; break;
	   case 'fws': $query.=" AND $pstat!=0"; break;
	   default: $query.=" AND $stat!=0"; break;
	 }
      }
     if (($stat!='ows')&&($stat!='pws')&&($stat!='fws')&&($stat!='wsTot')) {$query.=" AND pcs.league_id=$lgid";}
      else {$query.=" AND pcs.team_id IN ($LGtmList)";}
     if (($stat=='fgs')||($stat=='po')||($stat=='a')||($stat=='a')||($stat=='dp')||($stat=='tp')||($stat=='e')||($stat=='fip')||($stat=='pct')||($stat=='rng')||($stat=='pb')||($stat=='sba')||($stat=='rto')||($stat=='rtoPct')||($stat=='bink')||($stat=='gink')||($stat=='hofstand'))
      {
        switch ($pos)
         {
           case 'All': break;
	   case 11:
     	   case 12:
	     $query.=" AND pcs.position=1";
	     break;
           case 13: $query.=" AND pcs.position IN (3,4,5,6)"; break;
           case 14: $query.=" AND pcs.position IN (3,5)"; break;
	   case 15: $query.=" AND pcs.position IN (4,6)"; break;
      	   case 16: $query.=" AND pcs.position IN (7,8,9)"; break;
	   default: $query.=" AND pcs.position=$pos"; break;
	 }
      }
     $query.=" GROUP BY player_id";
     if (($stat=='abhr')||($stat=='pahr')||($stat=='era')||($stat=='whip')||($stat=='bbper9')||($stat=='hper9')||($stat=='rper9')||($stat=='hrper9')||($stat=='babip')) {$query.=" ORDER BY stat,pt DESC";}
      elseif (($stat=='bink')||($stat=='gink')||($stat=='hofstand')||($stat=='ows')||($stat=='pws')||($stat=='fws')||($stat=='wsTot')) {$query.=" ORDER BY stat DESC";}
      else {$query.=" ORDER BY stat DESC,pt DESC";}
     $query.=" LIMIT 1000";

     ##### Generate Query for Season Metrics #####
     if (($stat=='adj_ops_plus')||($stat=='EqR')||($stat=='EqA')||($stat=='adj_era_plus')||($stat=='cERA'))
      {
        $query="SELECT * FROM (SELECT player_id,SUM(pt) as pt,";
	if (($stat=='adj_ops_plus')||($stat=='adj_era_plus')) {$query.="ROUND(SUM(statPlus)/SUM(pt)) as stat";} else {$query.="SUM(statPlus)/SUM(pt) as stat";}
  	$query.=" FROM (SELECT p.player_id";
	if (($stat=='adj_ops_plus')||($stat=='EqR')||($stat=='EqA')) {$query.=",pcs.pa as pt";} else {$query.=",(pcs.ip+(pcs.ipf/3)) as pt";}
  	$query.=",psm.$stat";
	if (($stat=='adj_ops_plus')||($stat=='EqR')||($stat=='EqA')) {$query.=",pcs.pa";} else {$query.=",(pcs.ip+(pcs.ipf/3))";}
  	$query.="*psm.$stat as statPlus";
	$query.=" FROM players as p,players_season_metrics as psm";
  	if (($stat=='adj_ops_plus')||($stat=='EqR')||($stat=='EqA')) {$query.=",players_career_batting_stats as pcs";} else {$query.=",players_career_pitching_stats as pcs";}
	$query.=" WHERE p.player_id IN ($pidList) AND p.player_id=pcs.player_id AND pcs.player_id=psm.player_id AND p.player_id=psm.player_id AND pcs.year=psm.year AND pcs.team_id=psm.team_id AND pcs.league_id=$lgid AND pcs.split_id=1";
  	$query.=" ) as tmp GROUP BY player_id) as tot WHERE pt>=$minPT";
  	if ($stat=='cERA') {$query.=" ORDER BY stat,pt DESC";}
 	 else {$query.=" ORDER BY stat DESC,pt DESC";}
      }

     ##### Run Query #####
     if ($_GET['showq']==1) {echo $query;}
     $result=mysql_query($query,$db);

     ## Generate Table Title
     $tableTitle="Career ".$statArray[$stat]." Leaders";
     switch ($pos)
      {
        case 1: $tableTitle.=" by Pitchers";break;
        case 2: $tableTitle.=" by Catcher";break;
        case 3: $tableTitle.=" by First Basemen";break;
        case 4: $tableTitle.=" by Second Basemen";break;
        case 5: $tableTitle.=" by Third Basemen";break;
        case 6: $tableTitle.=" by Shortstops";break;
        case 7: $tableTitle.=" by Left Fielders";break;
        case 8: $tableTitle.=" by Center Fielders";break;
        case 9: $tableTitle.=" by Right Fielders";break;
        case 10: $tableTitle.=" by Designated Hitters";break;
        case 11: $tableTitle.=" by Starting Pitchers";break;
        case 12: $tableTitle.=" by Relief Pitchers";break;
        case 13: $tableTitle.=" by Infielders";break;
        case 14: $tableTitle.=" by Corner Infielders";break;
        case 15: $tableTitle.=" by Middle Infielders";break;
        case 16: $tableTitle.=" by Outfielders";break;
      }
     if ($drafted_by!="ALL")
      {
        $tableTitle.=" drafted by ";
	if (isset($hteams[$drafted_by])) {$tableTitle.=$hteams[$drafted_by]['city'];} else {$tableTitle.=$teams[$drafted_by]['city'];}
      }
     if ($curTeam!="ALL")
      {
        if ($drafted_by!="ALL") {$tableTitle.=" and";}
        $tableTitle.=" now with ".$teams[$curTeam]['city'];
      }
     if ($curOrg!="ALL")
      {
        if ($drafted_by!="ALL") {$tableTitle.=" and";}
        $tableTitle.=" now in the ".$teams[$curOrg]['city']." organization";
      }
     $tableTitle.="<br/>";
     if ($dyear==$dyear2) {$tableTitle.="(Drafted in $dyear";} else {$tableTitle.="(Drafted between $dyear and $dyear2";}
     if ($dround==$dround2) {$tableTitle.=" in the ".ordinal_suffix($dround)." round";} else {$tableTitle.=" and between the ".ordinal_suffix($dround)." and ".ordinal_suffix($dround2)." round";}
     if ($dAge!="All")
      {
	switch($dAgeBool)
	 {
	   case 'upto' : $tableTitle.=", upto the age of $dAge"; break;
	   case 'after': $tableTitle.=", after turning $dAge"; break;
	   case 'equal': $tableTitle.=", at the age of $dAge";  break;
	 }
      }
     if ($cAge!="All")
      {
	switch($cAgeBool)
	 {
	   case 'upto' : $tableTitle.=".  Players no older than $cAge"; break;
	   case 'after': $tableTitle.=".  Players older than $cAge"; break;
	   case 'equal': $tableTitle.=".  Players currently $cAge years old";  break;
	 }
      }
     $tableTitle.=")";
     ## Display Results
     if (mysql_num_rows($result))
      {
        echo " <div class='textbox'>\n";
	echo "  <table cellpadding=0 cellspacing=0 border=0>\n";
	echo "   <tr class='title2'><td>$tableTitle</td></tr>\n";
	echo "   <tr><td>\n";
	echo "    <table cellpadding=2 cellspacing=0 border=0 width='935px' class='sortable'>\n";
	echo "     <thead><tr class='headline'><td class='hsc2'>Rank</td><td class='hsc2'>Pos</td><td class='hsc2_l'>Player</td>";
	if ($drafted_by=="ALL") {echo "<td class='hsc2'>Drafted By</td>";}
	echo "<td class='hsc2'>Team</td>";
        echo "<td class='hsc2'><div title='Age on July 1st in year of draft'>Draft Age</div></td>";
	echo "<td class='hsc2'>Age</td>";
	if ($dyear!=$dyear2) {echo "<td class='hsc2'>Year</td>";}
	if ($dround!=$dround2) {echo "<td class='hsc2'>Rnd</td>";}
	echo "<td class='hsc2'>Pick</td><td class='hsc2'>Ovr</td>";
	echo "<td class='hsc2'>".$statArray[$stat]."</td>";
        if (($stat=='wpct')||($stat=='gmovr500')) {echo "<td class='hsc2'>W</td><td class='hsc2'>L</td>";}
	if (($stat!='ip')&&($stat!='pa')&&($stat!='fip')&&($stat!='bink')&&($stat!='gink')&&($stat!='hofstand')&&($stat!='ows')&&($stat!='pws')&&($stat!='fws')&&($stat!='wsTot')) {echo "<td class='hsc2'>$ptLabel</td></tr></thead>\n";}
	$rcnt=0;
	$rnk=0;
	$prevStatVal=-91.73465;
        while ($row=mysql_fetch_array($result))
	 {
           $pid=$row['player_id'];
	   $statVal=$row['stat'];
	   if (($stat!='abhr')&&($stat!='pahr')&&($stat!='era')&&($stat!='whip')&&($stat!='bbper9')&&($stat!='hper9')&&($stat!='rper9')&&($stat!='hrper9')&&($stat!='babip')&&($stat!='gmovr500')&&($stat!='cERA')&&($statVal==0)) {continue;}
	   elseif (($statVal==0)&&($stat=='gmovr500')&&($row['w']==0)&&($row['l']==0)) {continue;}
           if ((($stat=='abhr')||($stat=='pahr')||($stat=='era')||($stat=='whip')||($stat=='bbper9')||($stat=='hper9')||($stat=='rper9')||($stat=='hrper9')||($stat=='babip')||($stat=='cERA'))&&($statVal==999)) {continue;}

	   $ptVal=$row['pt'];
	   if (($ptLabel=='IP')||($ptLabel=='Inn')) {$ptVal=sprintf("%.1f",$ptVal);}

	   if ($statVal!=$prevStatVal) {$rnk=$rcnt+1;}
	   if ($rnk>100) {continue;}


	   $prevStatVal=$statVal;
	   switch ($stat)
	    {
	      case 'avg':
	      case 'obp':
	      case 'slg':
	      case 'ops':
              case 'wOBA':
              case 'iso':
              case 'bbabip':
              case 'EqA':
              case 'babip':
	      case 'pct':
	      case 'wpct':
                $statVal=sprintf("%.3f",$statVal);
		if ($statVal<1) {$statVal=strstr($statVal,".");}
		break;
              case 'pipa':
              case 'bbk':
	      case 'era':
	      case 'whip':
              case 'kper9':
              case 'bbper9':
              case 'hper9':
              case 'rper9':
              case 'hrper9':
              case 'kperbb':
              case 'cERA':
	      case 'rng':
	        $statVal=sprintf("%.2f",$statVal);
      	        break;
	      case 'vorp':
	      case 'pwrspd':
	      case 'abhr':
	      case 'pahr':
	      case 'rc27':
              case 'EqR':
	      case 'ip':
	      case 'pvorp':
	      case 'fip':
              case 'ows':
	      case 'pws':
	      case 'fws':
	      case 'wsTot':
	        $statVal=sprintf("%.1f",$statVal);
		break;
              case 'rtoPct':
	        $statVal=sprintf("%.1f",100*$statVal);
		break;
	      case 'rc':
	        $statVal=sprintf("%.0f",$statVal);
		break;
	    }
	   $cls='s'.($rcnt%2+1);
	   echo "     <tr class='$cls'><td>$rnk</td>";
	   echo "<td class='$cls' sorttable_customkey=\"".$players[$pid]['pos']."\">".get_pos($players[$pid]['pos'])."</td>";
	   echo "<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['sortname']."\"><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	   if ($drafted_by=="ALL")
	    {
              $dTID=$players[$pid]['draft_team_id'];
	      echo "<td class='$cls'><a href='$lgpath/teams/team_$dTID.html'>";
	      if (isset($hteams[$dTID])) {echo $hteams[$dTID]['abbr'];} else {echo $teams[$dTID]['abbr'];}
	      echo "</a></td>";
	    }
	   $dTID=$players[$pid]['team_id'];
	   if (($dTID==0)||($dTID=="")) 
	    {
	      if ($players[$pid]['ret']==1) {echo "<td class='$cls'>Ret</td>";}
	      else {echo "<td class='$cls'>FA</td>";}
	    }
	    else
	    {
	      echo "<td class='$cls'><a href='$lgpath/teams/team_$dTID.html'>".$teams[$dTID]['abbr']."</a>";
	      $tlvl=get_level($teams[$dTID]['level']);
   	      if ($tlvl!="ML")
	       {
	         $dTID=$players[$pid]['organization_id'];
	         echo " (<a href='$lgpath/teams/team_$dTID.html'>".$teams[$dTID]['abbr']."</a>-$tlvl)";
	       }
	      echo "</td>";
	    }
	   echo "<td>".$players[$pid]['draft_age']."</td>";
	   echo "<td>".$players[$pid]['current_age']."</td>";
	   $draft_year=$players[$pid]['draft_year'];
	   $draft_round=$players[$pid]['draft_round'];
	   $draft_pick=$players[$pid]['draft_pick'];
 	   if ($dyear!=$dyear2) {echo "<td>".$draft_year."</td>";}
 	   if ($dround!=$dround2) {echo "<td>".$draft_round."</td>";}
	   echo "<td>".$draft_pick."</td>";
	   $nteams=$numTeams[$draft_year];
	   $ovrPick=$nteams*($draft_round-1)+$draft_pick;
	   echo "<td>$ovrPick</td>";
	   echo "<td>$statVal</td>";
	   if (($stat=='wpct')||($stat=='gmovr500'))
	    {
              $w=$row['w'];
	      $l=$row['l'];
	      echo "<td class='hsc2'>$w</td><td class='hsc2'>$l</td>";
	    }
	   if (($stat!='ip')&&($stat!='pa')&&($stat!='fip')&&($stat!='bink')&&($stat!='gink')&&($stat!='hofstand')&&($stat!='ows')&&($stat!='pws')&&($stat!='fws')&&($stat!='wsTot')) {echo "<td>$ptVal</td>";}
	   echo "</tr>\n";

	   $rcnt++;
	 }
	echo "    </table>\n";
	echo "   </td></tr>\n";
	echo "  </table>\n";
	echo " </div>\n";
      }

     break;	
 }

##### Close out page #####
echo "</div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);

?>
