<?php

function calc_rating($rating,$ratOrTal=0,$max="")
 {
   include($_SESSION['adminpath']."/dbopen.php");
   if ($rating==0) {return 0;}

   ## Get Scales
   $cwd=getcwd();
   $e=explode("/",$cwd);
   $maxE=count($e)-1;
   $install=$e[$maxE];
   $query="SHOW TABLES LIKE 'ootp_sql_admin';";
   $result=mysql_query($query,$db);
   if ((mysql_num_rows($result))&&(($_SESSION['ratings']=="")||($_SESSION['talents']=="")||($_SESSION['others']=="")))
    {
      $query="SELECT * FROM ootp_sql_admin WHERE install IN ('4dm1n','$install') AND module='Admin';";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result)) 
       {
         while ($row=mysql_fetch_array($result))
          {
            $field=$row['setting'];
	    $val=$row['value'];
   	    $val=stripslashes($val);
	    switch ($field)
  	     {
   	       case 'Ratings'     : $ratings=$val;      break;
	       case 'Talents'     : $talents=$val;      break;
   	       case 'Others'      : $others=$val;       break;
   	     }
	  }
      	 $_SESSION['ratings']=$ratings;
	 $_SESSION['talents']=$talents;
	 $_SESSION['others']=$others;
       }
    }

   $scale=$_SESSION['ratings'];
   if ($ratOrTal==1) {$scale=$_SESSION['talents'];}
   if ($ratOrTal==2) {$scale=$_SESSION['others'];}
   if (($scale=="")||($scale==0)) {$scale='Hidden';}

   if ($max!="") {$rating=max($rating,$max);}

   switch ($scale)
    {
      case "2-8":
	$rat=intval(($rating/31) + 2);
	$rat=min(8,$rat);
	$rat=max(2,$rat);
        break;
      case "20-80":
        $rat=intval(($rating+10)/15);
	$rat=min(13,$rat);
	$rat=max(1,$rat);
	$rat=5*$rat+15;
	break;
      case "Hidden": $rat=0; break;
      default:
        switch ($scale)
	 {
	   case "1-5":   $maxRat=5;   break; 
           case "1-10":  $maxRat=10;  break;
           case "1-20":  $maxRat=20;  break;
	   case "1-100"; $maxRat=100; break;
	 }
	$sc=200/$maxRat;
	$rat=intval(($rating+$sc)/$sc);
	$rat=min($maxRat,$rat);
	$rat=max(1,$rat);
    }

   return $rat;    
 }

function calc_movement($mvmnt,$gb)
 {
   $rat=200.5-(5*((18+(54-$gb)*.6)+((200-$mvmnt)/6))/2);
   return $rat;
 }

function get_pitch_rating($pitch,$ir,$gb,$mvmnt,$velo)
{
   $velo=$velo*10;
   switch ($pitch)
    {
      case 'fastball':
        $rat=($velo*0.6) + ($ir*0.4);
        break;
      case 'slider':
        $rat=($velo*0.3) + ($ir*0.7);
	break;
      case 'forkball':
      case 'splitter':
      case 'cutter':
        $rat=($velo*0.4) + ($ir*0.4) + ($mvmnt*0.2);
        break;
      case 'sinker':
        $rat=($velo*0.3) + ($ir*0.3) + ($mvmnt*0.4);
        break;
      case 'changeup':
      case 'knuckleball':
      case 'circlechange':
        $rat=$ir;
        break;
      case 'curveball':
      case 'screwball':
      case 'knucklecurve':
        $rat=($velo*0.2) + ($ir*0.8);
        break;
    }
   return $rat;
 }

function get_level($lvl)
 {
   switch ($lvl)
    {
      case 1: $txt="ML"; break;
      case 2: $txt="AAA"; break;
      case 3: $txt="AA"; break;
      case 4: $txt="A"; break;
      case 5: $txt="SS"; break;
      case 6: $txt="R"; break;
      case 7: $txt="INT"; break;
      case 8: $txt="WL"; break;
      case 9: $txt="COL"; break;
      case 10: $txt="HS"; break;
      default: $txt=$lvl; break;
      
    }
   return $txt;
 }

function get_award($awid)
 {
    switch ($awid)
     {
       case 0:
         $txt="Player of the Week";
	 break;
       case 1:
         $txt="Pitcher of the Month";
         break;
       case 2:
         $txt="Batter of the Month";
         break;
       case 3:
         $txt="Rookie of the Month";
         break;
       case 4:
         $txt="Oustanding Pitcher";
         break;
       case 5:
         $txt="Oustanding Hitter";
         break;
       case 6:
         $txt="Oustanding Rookie";
         break;
       case 7:
         $txt="Gold Glove";
         break;
       case 8:
         $txt=$awid;
         break;
       case 9:
         $txt="All-Star";
         break;
       default:
         $txt=$awid." not found";
	 break;
     }
    return $txt;
 }
 
function get_pos($pos)
 {
   switch ($pos)
    {
      case 0:
        $txt="PH";
	break;
      case 1:
        $txt="P";
	break;
      case 2:
        $txt="C";
	break;
      case 3:
        $txt="1B";
	break;
      case 4:
        $txt="2B";
	break;
      case 5:
        $txt="3B";
	break;
      case 6:
        $txt="SS";
	break;
      case 7:
        $txt="LF";
	break;
      case 8:
        $txt="CF";
	break;
      case 9:
        $txt="RF";
	break;
      case 10:
        $txt="DH";
	break;
      case 11:
        $txt="SP";
	break;
      case 12:
        $txt="MR";
	break;
      case 13:
        $txt="CL";
	break;
	  case 20:
	     $txt="OF";
	break;
	  case 21:
	     $txt="RP";
	break;
      default:
        $txt="-";
	break;
    }
   return $txt;
 }

function get_velo($velo)
 {
  switch ($velo)
   {
     case 1:  $txt="<75 Mph";    break;
     case 2:  $txt="81-83 Mph";  break;
     case 3:  $txt="82-84 Mph";  break;
     case 4:  $txt="83-85 Mph";  break;
     case 5:  $txt="84-86 Mph";  break;
     case 6:  $txt="85-87 Mph";  break;
     case 7:  $txt="86-88 Mph";  break;
     case 8:  $txt="87-89 Mph";  break;
     case 9:  $txt="89-90 Mph";  break;
     case 10: $txt="90-92 Mph";  break;
     case 11: $txt="91-93 Mph";  break;
     case 12: $txt="92-94 Mph";  break;
     case 13: $txt="93-95 Mph";  break;
     case 14: $txt="94-96 Mph";  break;
     case 15: $txt="95-97 Mph";  break;
     case 16: $txt="96-98 Mph";  break;
     case 17: $txt="97-99 Mph";  break;
     case 18: $txt="98-100 Mph"; break;
     case 19: $txt="99-101 Mph"; break;
     case 20: $txt="101+ Mph";   break;
   }
  return $txt;
 }

function hof_pos($pos)
 {
   switch ($pos)
    {
      case 2: $val=20;break;
      case 3: $val=1;break;
      case 4: $val=14;break;
      case 5: $val=13;break;
      case 6: $val=16;break;
      case 7: $val=3;break;
      case 8: $val=12;break;
      case 9: $val=6;break;
      default: $val=0;break;      
    }
   return $val;
 }
 
function ss_pos($pos)
 {
   switch ($pos)
    {
      case 2: $val=20;break;
      case 3: $val=1;break;
      case 4: $val=11;break;
      case 5: $val=7;break;
      case 6: $val=14;break;
      case 7: $val=3;break;
      case 8: $val=5;break;
      case 9: $val=4;break;
      default: $val=0;break;
    }
   return $val;
 }

function datediff($start,$end)
 {
   $start_ts = strtotime($start);
   $end_ts = strtotime($end);

   $diff = $end_ts - $start_ts;
   return round($diff / 86400);
 }

function get_ll_cat($catID)
 {
   switch ($catID)
    {
      ## Batter Stats
      case 0: $txt="GS"; break;
      case 1: $txt="PA"; break;
      case 2: $txt="AB"; break;
      case 3: $txt="H"; break;
      case 4: $txt="K"; break;
      case 5: $txt="TB"; break;
      case 6: $txt="2B"; break;
      case 7: $txt="3B"; break;
      case 8: $txt="HR"; break;
      case 9: $txt="SB"; break;
      case 10: $txt="RBI"; break;
      case 11: $txt="R"; break;
      case 12: $txt="BB"; break;
      case 13: $txt="IBB"; break;
      case 14: $txt="HBP"; break;
      case 15: $txt="SH"; break;
      case 16: $txt="SF"; break;
      case 17: $txt="EBH"; break;
      case 18: $txt="AVG"; break;
      case 19: $txt="OBP"; break;
      case 20: $txt="SLG"; break;
      case 21: $txt="RC"; break;
      case 22: $txt="RC/27"; break;
      case 23: $txt="ISO"; break;
      case 24: $txt="TAVG"; break;
      case 25: $txt="OPS"; break;
      case 26: $txt="VORP"; break;

      ## Pitcher Stats
      case 27: $txt="G"; break;
      case 28: $txt="GS"; break;
      case 29: $txt="W"; break;
      case 30: $txt="L"; break;
      case 31: $txt="Win%"; break;
      case 32: $txt="SV"; break;
      case 33: $txt="HLD"; break;
      case 34: $txt="IP"; break;
      case 35: $txt="BF"; break;
      case 36: $txt="HRA"; break;
      case 37: $txt="BB"; break;
      case 38: $txt="K"; break;
      case 39: $txt="WP"; break;
      case 40: $txt="ERA"; break;
      case 41: $txt="BABIP"; break;
      case 42: $txt="WHIP"; break;
      case 43: $txt="K/BB"; break;
      case 44: $txt="RA/9IP"; break;
      case 45: $txt="HR/9IP"; break;
      case 46: $txt="H/9IP"; break;
      case 47: $txt="BB/9IP"; break;
      case 48: $txt="K/9IP"; break;
      case 49: $txt="VORP"; break;
      case 50: $txt="RA"; break;
      case 51: $txt="GF"; break;
      case 52: $txt="QS"; break;
      case 53: $txt="QS%"; break;
      case 54: $txt="CG"; break;
      case 55: $txt="CG%"; break;
      case 56: $txt="SHO"; break;
      case 57: $txt="GB%"; break;
      default: $txt=$catID; break;
    }	    
   return $txt;
 }

function ordinal_suffix($value, $sup = 0) {
    if(substr($value, -2, 2) == 11 || substr($value, -2, 2) == 12 || substr($value, -2, 2) == 13){
        $suffix = "th";
    }
    else if (substr($value, -1, 1) == 1){
        $suffix = "st";
    }
    else if (substr($value, -1, 1) == 2){
        $suffix = "nd";
    }
    else if (substr($value, -1, 1) == 3){
        $suffix = "rd";
    }
    else {
        $suffix = "th";
    }
    if($sup){
        $suffix = "<sup>" . $suffix . "</sup>";
    }
    return $value . $suffix;
}

function get_hand($handID)
 {
  switch ($handID)
   {
     case 3: $hand="S"; break;
     case 2: $hand="L"; break;
     case 1: $hand="R"; break;
     default: $hand="U"; break;
   }
  return $hand;
 }

function cm_to_ft_in($len)
 {
   $in=$len/2.54;
   $ft=floor($in/12);
   $in=$in%12;
   $in=round($in);
   $txt=$ft."' ".$in."\"";
   return $txt;
 }

	
	function average($array)
	{
		$sum   = array_sum($array);
		$count = count($array);
		return $sum/$count;
	}
	
	function deviation($array) 
	{
		$avg = average($array);
		foreach ($array as $value)
		{
			$variance[] = pow($value-$avg, 2);
		}
		$deviation = sqrt(average($variance));
		return $deviation;
	}

	function formatStat($statLbl,$statVal)
	{
		switch ($statLbl)
		{
			case 'avg':
			case 'obp':
			case 'slg':
			case 'ops':
			case 'wOBA':
			case 'iso':
			case 'bbabip':
			case 'EqA':
			case 'babip':
			case 'pct':
			case 'wpct':
				$statVal=sprintf("%.3f",$statVal);
				if ($statVal<1) {$statVal=strstr($statVal,".");}
				break;
			case 'pipa':
			case 'bbk':
			case 'era':
			case 'whip':
			case 'kper9':
			case 'bbper9':
			case 'hper9':
			case 'rper9':
			case 'hrper9':
			case 'kperbb':
			case 'cERA':
			case 'rng':
				$statVal=sprintf("%.2f",$statVal);
				break;
			case 'vorp':
			case 'abhr':
			case 'pahr':
			case 'pwrspd':
			case 'rc27':
			case 'EqR':
			case 'ip':
			case 'pvorp':
			case 'fip':
			case 'ows':
			case 'pws':
			case 'fws':
			case 'wsTot':
				$statVal=sprintf("%.1f",$statVal);
				break;
			case 'rtoPct':
			case 'gbPct':
				$statVal=sprintf("%.1f",100*$statVal);
				break;
			case 'rc':
			case 'adj_ops_plus':
			case 'adj_era_plus':
				$statVal=sprintf("%.0f",$statVal);
				break;
		}	
		return $statVal;
	}
	
	## Get Stat Calculation Function
	function getStatCalc($stat,$pos="")
	{
		switch ($stat)
		{
			case 'outs':
				$statCalc="SUM(ab)-SUM(h)+SUM(cs)+SUM(sh)+SUM(sf)";
				break;		
			case 'ebh':
				$statCalc="SUM(d)+SUM(t)+SUM(hr)";
				break;		
			case 'tb':
				$statCalc="SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr)";
				break;		
			case 'tob':
				$statCalc="SUM(h)+SUM(bb)+SUM(hp)";
				break;		
			case 'tto':
				$statCalc="SUM(hr)+SUM(k)+SUM(bb)";
				break;		
			case 'pipa':
				$statCalc="SUM(pitches_seen)/SUM(pa)";
				break;		
			case 'abhr':
				$statCalc="if(SUM(hr)=0,9999,SUM(ab)/SUM(hr))";
				break;		
			case 'pahr':
				$statCalc="if(SUM(hr)=0,9999,SUM(pa)/SUM(hr))";
				break;		
			case 'bbk':
				$statCalc="if(SUM(k)=0,0,SUM(bb)/SUM(k))";
				break;		
			case 'avg':
				$statCalc="SUM(h)/SUM(ab)";
				break;		
			case 'obp':
				$statCalc="(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))";
				break;		
			case 'slg':
				$statCalc="(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)";
				break;		
			case 'ops':
				$statCalc="(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))+(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)";
				break;		
			case 'iso':
				$statCalc="(SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)";
				break;		
			case 'bbabip':
				$statCalc="(SUM(h)-SUM(hr))/(SUM(ab)-SUM(k)-SUM(hr)+SUM(sf))";
				break;		
			case 'wOBA':
				$statCalc="(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)";
				break;	
			case 'pwrspd':
				$statCalc="if((SUM(hr)+SUM(sb))=0,0,(2*SUM(hr)*SUM(sb))/(SUM(hr)+SUM(sb)))";
				break;			
			case 'rc':
				$statCalc="((SUM(h)+SUM(bb)-SUM(cs)+SUM(hp)-SUM(gdp))*(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr)+(.26*(SUM(bb)-SUM(ibb)+SUM(hp)))+(.52*(SUM(sh)+SUM(sf)+SUM(sb)))))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sh)+SUM(sf))";
				break;
			case 'rc27':
				$statCalc="(27*((SUM(h)+SUM(bb)-SUM(cs)+SUM(hp)-SUM(gdp))*(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr)+(.26*(SUM(bb)-SUM(ibb)+SUM(hp)))+(.52*(SUM(sh)+SUM(sf)+SUM(sb)))))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sh)+SUM(sf)))/(SUM(ab)-SUM(h)+SUM(cs)+SUM(sh)+SUM(sf))";
				break;
			case 'ip':
				$statCalc="(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'pk':
				$statCalc="SUM(k)";
				break;
			case 'pbb':
				$statCalc="SUM(bb)";
				break;
			case 'pr':
				$statCalc="SUM(r)";
				break;
			case 'ptto':
				$statCalc="SUM(hra)+SUM(bb)+SUM(k)";
				break;
			case 'era':
				$statCalc="9*SUM(er)/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'whip':
				$statCalc="(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'pvorp':
				$statCalc="SUM(vorp)";
				break;
			case 'kper9':
				$statCalc="9*SUM(k)/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'bbper9':
				$statCalc="9*SUM(bb)/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'hper9':
				$statCalc="9*SUM(ha)/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'rper9':
				$statCalc="9*SUM(r)/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'hrper9':
				$statCalc="9*SUM(hra)/(SUM(ip)+SUM(ipf)/3)";
				break;
			case 'kperbb':
				$statCalc="if(SUM(bb)=0,0,SUM(k)/SUM(bb))";
				break;
			case 'gbPct':
				$statCalc="SUM(gb)/(SUM(gb)+SUM(fb))";
				break;
			case 'babip':
				$statCalc="(SUM(ha)-SUM(hra))/(SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))";
				break;		
			case 'wpct':
				$statCalc="if((SUM(w)+SUM(l))=0,0,SUM(w)/(SUM(w)+SUM(l)))";
				break;		
			case 'gmovr500':
				$statCalc="SUM(w)-SUM(l)";
				break;		
			case 'fgs':
				$statCalc="SUM(gs)";
				break;		
			case 'fip':
				$statCalc="(SUM(ip)+SUM(ipf)/3)";
				break;		
			case 'pct':
				$statCalc="(SUM(po)+SUM(a))/SUM(tc)";
				break;		
			case 'rng':
				$statCalc="(9*(SUM(po)+SUM(a)))/(SUM(ip)+SUM(ipf)/3)";
				break;		
			case 'rtoPct':
				$statCalc="if(SUM(sba)=0,0,SUM(rto)/SUM(sba))";
				break;		
			case 'ows':
				$statCalc="SUM(ows)";
				break;
			case 'pws':
				$statCalc="SUM(pws)";
				break;
			case 'fws':
				switch ($pos)
				{
					case 2: $statCalc="SUM(fws2)"; break;
					case 3: $statCalc="SUM(fws3)"; break;
					case 4: $statCalc="SUM(fws4)"; break;
					case 5: $statCalc="SUM(fws5)"; break;
					case 6: $statCalc="SUM(fws6)"; break;
					case 7: $statCalc="SUM(fws7)"; break;
					case 8: $statCalc="SUM(fws8)"; break;
					case 9: $statCalc="SUM(fws9)"; break;
					case 'IF': $statCalc="SUM(fws3)+SUM(fws4)+SUM(fws5)+SUM(fws6)"; break;
					case 'CI': $statCalc="SUM(fws3)+SUM(fws5)"; break;
					case 'MI': $statCalc="SUM(fws4)+SUM(fws6)"; break;
					case 'OF': $statCalc="SUM(fws7)+SUM(fws8)+SUM(fws9)"; break;
					default: $statCalc="SUM(fwsTot)"; break;
				}
				break;
			case 'wsTot':
				$statCalc="SUM(wsTot)";
				break;
			case 'black_ink':
				$statCalc="black_ink";
				break;
			case 'gray_ink':
				$statCalc="gray_ink";
				break;
			case 'hof_standards':
				$statCalc="hof_standards";
				break;
			case 'bSSdiff':
				$statCalc="1000-bat_ss_val";
				break;
			case 'pSSdiff':
				$statCalc="1000-pit_ss_val";
				break;
			case 'tot_revenue':
				$statCalc="SUM(gate_revenue)+SUM(media_revenue)+SUM(merchandising_revenue)+SUM(playoff_revenue)";
				break;
			case 'tot_expenses':
				$statCalc="SUM(player_expenses)+SUM(staff_expenses)";
				break;
			case 'profit':
				$statCalc="SUM(gate_revenue)+SUM(media_revenue)+SUM(merchandising_revenue)+SUM(playoff_revenue)-(SUM(player_expenses)+SUM(staff_expenses))+SUM(revenue_sharing)";
				break;
			default:
				$statCalc="SUM($stat)";
				break;
		}
		return $statCalc;
	}
	
?>
